Mon Jun 16 11:13:22 2003  Chris Cleeland  <cleeland@ociweb.com>

        * ACE version 5.3.3 released.

Fri Jun 13 13:13:02 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* bin/make_release: Remeved the generation of a README file in
	  TAO/orbsvcs. 

Fri Jun 13 06:02:32 2003  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/Template_Instantiations.cpp: Removed the explicit template
	  instantiations introduced by this change "Thu Jun 12 15:20:37
	  2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>". This
	  botches up SunOS53 build.

	* ace/Containers_Instantiations.cpp: A new file where we have
	  moved the instantiations.

	  Thanks t Chris Cleeland for alerting us on this.

Thu Jun 12 15:20:37 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* ace/Template_Instantiations.cpp: This file now contains some
	  useful template definitions that would be used by ACE+TAO and
	  its applications. We have started by doing
	  ACE_Unbounded_Queue<long>. In future we will add other basic 
	  types on a case by case basis.

	* ace/Stats.cpp: Removed the template instantiations of
	  ACE_Unbounded_Queue<long> since it has now been moved to another
	  file. 

	* ace/Makefile.ace: Compile the file Template_Instantiations.cpp
	  in normal builds.

	* ace/INET_Addr.cpp: In get_port_number_from_name () set the port
	  number to 0 for VxWorks.

	  Thanks to Rob Andzik  <andzik@rtlogic.com> for providing these
	  patches to get ACE+TAO compiling on  VxWorks 5.5.

Wed Jun 11 16:27:41 2003  Steve Huston  <shuston@riverace.com>

	* examples/C++NPv1/Logging_Client.cpp:
	* examples/C++NPv2/TP_Reactor_Logging_Server.cpp: Fixed compile error
	  arising from: Wed Jun 11 07:28:57 2003  Balachandran Natarajan

Wed Jun 11 07:28:57 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* ace/config-lynxos.h: 
	* examples/C++NPv1/Logging_Client.cpp:
	* examples/C++NPv2/Select_Reactor_Logging_Server.cpp: Applied
	  patches from Olli Savia <ops@iki.fi> to get the C++NPv examples
	  compiling on pre-LynxOS 3.0.1 with gcc 2.7-97r1.

Tue Jun 10 12:50:16 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Only read in a base project if it hasn't been read for the current
          project.

Tue Jun 10 11:35:29 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/create_ace_build:

          Fixed a bug in the message printed about the config.h and
          platform_macros.GNU.

Tue Jun 10 11:09:12 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/PerlACE/Process.pm:

          Added a delay_factor() function that could be used to dynamically
          determine the delay factor for the test scripts.  Some
          coordination is required to ensure that the delay factor and the
          times used in run_test.pl scripts work together.

        * bin/PerlACE/Run_Test.pm:

          Added code to support running tests using the cygwin perl.

        * bin/create_ace_build:

          Added windows support by using hard links (only with MSWin32
          version of perl).

Mon Jun  9 18:59:51 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * THANKS: Added Gan Deng to the hall of fame.

Mon Jun  9 13:16:38 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/performance_stats.sh: The sequence<> latency tests will also
          be  monitored on a daily basis.

Mon Jun  9 08:27:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Makefile.ace:
          Added NT_Service. Thanks to Wolfgang Schroeder <cpp_kurs@arcor.de>
          for reporting this.

Sun Jun  8 22:36:32 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * THANKS: Added Andrew Voumard to the hall of fame.

Sun Jun  8 17:55:18 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/g++_metrics.sh:
          Fixed a typo that caused the script to fail.

Sun Jun  8 10:52:23 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * bin/PerlACE/Process.pm:
        * bin/PerlACE/Process_Win32.pm:
        * bin/PerlACE/Process_Unix.pm: Moved the Normalize_Executable_Name
          method to platform specific implementation files.  The original
          implementation in Process.pm was Win32 specific.

Sat Jun  7 11:12:16 2003  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

        * performance-tests/Synch-Benchmarks/Synch_Lib/Benchmark_Base.h: Added a
          #include for "ace/Atomic_Op.h" to solve a compilation problem.
          Thanks to Nick Kukuczka <nickk@appliedepi.com> for reporting
          this.

Fri Jun  6 09:31:21 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug introduced by yesterdays optimization.
          Added code to detect cyclic inheritance.

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Added more optimizations.

Fri Jun  6 06:37:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Set ACE_SHLIB instead of ACELIB and set it before the include of
          wrapper_macros.GNU

        * ACEXML/apps/svcconf/Makefile.ACEXML_XML_Svc_Conf_Parser:
        * ACEXML/common/Makefile.ACEXML:
        * ACEXML/examples/SAXPrint/Makefile.SAXPrint:
        * ACEXML/parser/parser/Makefile.ACEXML_Parser:
        * ACEXML/tests/Makefile.ContentHandler_Test:
        * ACEXML/tests/Makefile.HttpCharStream_Test:
        * ACEXML/tests/Makefile.NamespaceSupport_Test:
        * ACEXML/tests/Makefile.Transcoder_Test:
          Regenerated these makefiles based on the change above. This fixes the
          Kylix/Cygwin/MinGW link errors.

        * ACEXML/common/Attributes_Def_Builder.cpp
        * ACEXML/common/Element_Def_Builder.cpp
          Added explicit template instantiations in case the ACE autoptr
          is used. This fixes unresolved externals with VxWorks 5.5

Fri Jun  6 06:12:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/tao_rtevent.doxygen:
          When generating the RTEvent documentation, alse parse the
          ECG_*.{h,i,cpp} files.

Thu Jun  5 14:03:54 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Modified the code to increase performance.  These changes decrease
          generation time for the ACE_wrappers tree by up to 20%.

Thu Jun  5 11:07:04 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Fixed a bug where mwc.pl could go into an infinite loop depending
          on the project dependencies and project ordering.

Thu Jun  5 09:05:21 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/global.features:

          Fixed a bad comment.

Thu Jun  5 08:20:23 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/va4icc.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Added a 'macros' keyword that allows users to pass generic macros
          to the compiler.

Thu Jun  5 07:05:42 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/clean_sems.sh:

          Update this script to work with IRIX, Tru64 and HP-UX and possibly
          others.

Thu Jun  5 03:45:46 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/wrapper_macros.GNU:
          Set shared_libs_only or static_libs_only if appropriate,
          even if only shared_libs and static_libs were passed, since
          many Makefiles use these variables to determine what gets built.

        * netsvcs/clients/Naming/Client/Makefile:
          Fixed problem that prevented static libraries from being built
          by adding a LIB variable and moving these declarations to before
          including wrapper_macros.GNU.  Thanks to Olli Savia <ops@iki.fi>
          for reporting the problem.

Wed Jun  4 19:42:33 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/g++_metrics.sh:
          Use /usr/bin/time to get better metrics and output the time in
          one step.  Also include %x, the return value from g++ so that
          users can tell whether not to use the time, since it will always
          be output even for failures.

        * bin/generate_compile_stats.sh:
          Added ability to gather footprint metrics for static_libs_only
          builds.  Also, cleaned up the code a bit and added lots of comments.

Wed Jun  4 13:47:45 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * THANKS: Added Jason Cohen to the hall of fame.

Wed Jun  4 12:43:41 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/CDR_Stream.cpp: Removed a duplicate semicolon. Thanks to Rob
          Andzik <andzik@rtlogic.com> for catching this.

Wed Jun  4 10:30:35 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          If generating projects on windows, check for case insensitive
          relative paths.

Wed Jun 04 14:11:19 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_Dirent.cpp:
          Changes definitions of INVALID_FILE_ATTRIBUTES and
          INVALID_SET_FILE_POINTER from (-1) to ((DWORD)(-1)) to fix BCB5
          warnings.

Wed Jun 04 07:06:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/DLL_Manager.cpp:
          Added explicit template instantiations in case the ACE autoptr
          is used. This fixes unresolved externals with VxWorks 5.5

        * ace/Handle_Set.h:
        * ace/Local_Name_Space.h:
        * ace/Local_Tokens.h:
        * ace/Name_Proxy.h:
        * ace/Name_Request_Reply.h:
        * ace/Naming_Context.h:
        * ace/Object_Manager.h:
        * ace/SOCK_Dgram_Mcast.h:
        * ace/Thread.h:
        * ace/WFMO_Reactor.h:
          Doxygen improvements

        * ace/Message_Block.cpp:
        * ace/Message_Block.i:
          Changed u_long to unsigned long to match header file. This fixes
          doxygen warnings

        * ace/String_Base.h:
        * ace/String_Base.i:
          Changed constructor argument alloc to the_allocator in doxygen
          tags and in implementation.

        * ace/config-doxygen.h:
          Added TAO_HAS_SCIOP to generate SCIP documentation, added
          ACE_HAS_USING_KEYWORD to improve ACE documentation

Tue Jun 03 07:51:20 2003  Simon McQueen  <sm@prismtechnologies.com>

        * ACE version 5.3.2 released.

Mon Jun  2 11:38:13 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/bootstrap (Usage): Commented out paths on Sun boxes for
          aclocal.

Mon Jun  2 11:24:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/generate_rel_manpages: Added some debugging
          statements. Looks like this script has a quite a bit of code
          duplicated from make_release scripts. We will fix this for the
          next beta.

Mon Jun  2 00:10:14 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/make_release:Fixed some apparent bugs. Left some debugging
          statements for future refernces.

        * Makefile: Removed acconfig.h since it is not required. Thanks to
          Ossama for proving the information.

Sun Jun 01 20:02:52 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/make_release: Fixed a typo and added comments.

Sun Jun  1 19:05:41 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/make_release: The following changes were made to the release
          scripts.

          - CIAO distribution has been integrated
          - Generation of doxygen documentation has been moved out.
          - Added checks to see whether the user of the script has got
            write permissions in the output directory
          - Removed the option to create releases with no zipped
            libraries.
          - Introduced the need for another environment variable MAILID to
            provide the mail id of the person cutting the beta.

Sun Jun 01 18:02:24 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/generate_rel_manpages: A new script for man page
          generation. This is being moved out of the release scripts for a
          number of reasons. A couple of them are

          - They take a long time and beta/release process has to wait for
            completion of documentation generation.

          - Any problems during documentation generation like machine
            reboot or machine hang or whatever you can think off adversely
            affects the beta process. The build-czar has to cleanup
            numerous files  and start the process all over again.

          This will help to decouple the beta cutting process and the
          documentation generation process.

        * Makefile: A new target that can be used to kick of the
          documentation generation.

Fri May 30 17:15:57 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/NT_Service.cpp (insert): Fixed a compilation eror.

Fri May 30 15:54:41 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciaoversion.mpb: New file having
          the version information.

Fri May 30 15:29:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Makefile (APPLY_NEW_TAG): New tags for CIAO.

Fri May 30 14:46:00 2003  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

        * examples/Threads/auto_event.cpp (writer): Replaced "wait" with "signal"
          in a comment (this was a copy and past error!).  Thanks to Kobi for
          reporting this.

        * ace/Containers_T.h (class ACE_Ordered_MultiSet):
        * ace/String_Base.h (ACE_String_Base):
        * ace/Array_Base.h: Changed all uses of "ACE_Allocator *allocator" to
          "ACE_Allocator *the_allocator" to prevent problems when ACE is
          used with some versions of STL.  Thanks to Kobi Arazi
          <kcarazi@finjan.com> for reporting this.

        * ace/NT_Service.cpp: Fixed some problems so that the
          ACE_NT_Service::insert() methods will self-register correctly if
          the service executable is located on a path with spaces.  Thanks
          to Theo Landman <tlandman@justcroft.com> for reporting this.

Fri May 30 13:52:49 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Makefile: Added a new target 'releaseciao' to include CIAO in
          our distribution. Since CIAO needs seperate versioning this new
          target is needed. Further the 'releaseall' will now call
          releaseall on the Makefile in the TAO directory.

Thu May 29 22:18:00 2003  Krishnakumar B  <kitty@spam.invalid.domain>

        * bin/MakeProjectCreator/config/zziplib.mpt (zzip):

          New template for compiling ACEXML with and without ZZIPLIB.
          An environment variable ZZIP_ROOT needs to be set to point to
          the place where the ZZIPLIB sources are installed. Specifically,
          $ZZIP_ROOT/include should contain the header files, and
          $ZZIP_ROOT/lib should contain the libraries. Then MPC should be
          run as follows

            $(ACE_ROOT)/bin/mwc.pl -value_template zzip=1

          in $(ACE_ROOT)/ACEXML to generate your favourite build tools.

        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/bordll.mpt:
        * bin/MakeProjectCreator/templates/borexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/em3vcpdll.mpt:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplib.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/gnudll.mpt:
        * bin/MakeProjectCreator/templates/gnuexe.mpt:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/makedll.mpt:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/nmakedll.mpt:
        * bin/MakeProjectCreator/templates/nmakeexe.mpt:
        * bin/MakeProjectCreator/templates/va4icc.mpd:
        * bin/MakeProjectCreator/templates/va4iccdll.mpt:
        * bin/MakeProjectCreator/templates/va4iccdllexe.mpt:
        * bin/MakeProjectCreator/templates/va4icclib.mpt:
        * bin/MakeProjectCreator/templates/va4icclibexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc6dspdll.mpt:
        * bin/MakeProjectCreator/templates/vc6dspdllexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplib.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplibexe.mpt:
        * bin/MakeProjectCreator/templates/vc7.mpd:
        * bin/MakeProjectCreator/templates/vc7dll.mpt:
        * bin/MakeProjectCreator/templates/vc7exe.mpt:

          Changes to existing files to support ZZIPLIB.

Fri May 30 01:43:12 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * include/makeinclude/wrapper_macros.GNU:
          Added ifdef's to allow users to pass versioned_so=0 to
          make in order to turn off library versioning.  This is
          useful for those who use our makefiles to build their
          own projects, but don't want to version their libraries
          with the ACE version number.  Thanks to Jeff Kelley
          <jeffkelley@micron.com> for reporting the problem and
          helping to nail down the fix.

        * THANKS:
          Added Jeff Kelley to the hall of fame.

Fri May 30 00:24:05 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Makefile.am:
          Reverse link order of -lTest_Output and -lACE so that -lACE
          appears after -lTest_Output.  This will clear up link problems
          on platforms like HPUX where the order matters.

        * tests/Makefile.tests:
          Changed LIB to LDLIB, which solves the same problem.  Thanks to
          Steve Huston for reporting the problem.

Thu May 29 11:08:44 2003  Simon McQueen  <sm@prismtechnologies.com>

        * tests/RMCast/RMCast_Fragment_Test.dsp:
        * tests/RMCast/RMCast_Membership_Test.dsp:
        * tests/RMCast/RMCast_Reassembly_Test.dsp:
        * tests/RMCast/RMCast_Reordering_Test.dsp:
        * tests/RMCast/RMCast_Retransmission_Test.dsp:
        * tests/RMCast/RMCast_UDP_Best_Effort_Test.dsp:

          Fixed incorrect library path.

Wed May 28 15:18:47 2003  Simon McQueen  <sm@prismtechnologies.com>

        * tests/Proactor_Test.dsp:

          Added release configuration.

        * tests/Test_Output.dsp:

          Removed post build step from release and static configurations.
          No longer needed.

Wed May 28 11:07:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * THANKS: Added Branko Mijic to the hall of fame.

Mon May 26 21:14:54 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * bin/PerlACE/Process.pm: Added a new "static" function
          "Normalize_Executable_Name" so that we can figure out the
          correct location of a "release" build executables.

Mon May 26 18:23:41 2003  Steve Huston  <shuston@riverace.com>

        * ace/MEM_Acceptor.cpp (accept): Replace a C-style cast with
          ACE_reinterpret_cast to silence a warning from HP aC++.

        * ace/config-hpux-11.00.h: Removed define for
          ACE_HAS_TIUSER_H_BROKEN_EXTERN_C - it's not broken anymore in
          11.00 relatively recent updates.

        * ace/OS.h: Changed some u_int and u_long to unsigned int and
          unsigned long, respectively to compile correctly even if
          system includes are done out of order.

        * ace/OS_TLI.h: Fixed comment on #else of #if !defined (ACE_HAS_TLI).

        * include/makeinclude/platform_hpux_aCC.GNU: Add -D_HPUX_SOURCE to
          CCFLAGS. ACE uses things that are set up by using this macro, but
          if system includes are done before ace/config.h, it isn't picked
          up in time. Fixes compile errors in performance-tests/SCTP which
          were triggered by including system headers before ACE headers.
          Although the general rule is to not do that, it's overly
          restrictive in practice and we should try to remove that
          restriction when it comes up.
          (g++ sets this macro by default)

Mon May 26 12:03:33 2003  Steve Huston  <shuston@riverace.com>

        * tests/tests.mpc: Added ACE_Init_Test. The WinXP-IA64 test was
          picking up an old one since it was never regenerated.

Mon May 26 10:43:21 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks5.x_g++.GNU:
          Cleanup of setting and usage of TEMPLATES_FLAG. Also do this after
          the include of the g++_common file because it is set in that
          file.

Sun May 25 14:53:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Cygwin has fcntl but this is not implemented, but has dll support.

        * ace/OS.i:
          Removed not needed cygwin specific include.

Sun May 25 09:27:43 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Malloc_T.i (free): Added a check for a NULL ptr to prevent
          system crashes.  Thanks to Leonid Kvetnyi <leonidk@nice.com> for
          reporting this.

Sun May 25 10:06:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Cygwin has si_addr and select.h

Sun May 25 06:04:47 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_Dirent.cpp:
        * ace/ace_wchar.h:
          Added defines for ACE_TEXT_File_Attributes for both
          ACE_USES_WCHAR and !ACE_USES_WCHAR and changed the call in
          OS_Dirent.cpp to use the new macro.

Sat May 24 17:21:40 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * examples/Service_Configurator/Misc/Makefile:
          Only compile if shared_libs is defined.  Although the Service
          Configurator will work with static only libraries, this example
          will not.

        * examples/Timer_Queue/Makefile.TQTD:
        * netsvcs/clients/Naming/Dump_Restore/Makefile.Dump_Restore:
          Added LIB and VLIB so that static_libs and static_libs_only will
          build and clean the lib*.a libraries.

Sat May 24 15:19:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Removed several ACE_LACKS defines, cygwin supports a lot more
          than we think.

Sat May 24 14:37:00 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/OS_Dirent.cpp:
          Added definitions of INVALID_FILE_ATTRIBUTES and
          INVALID_SET_FILE_POINTER if missing on ACE_WIN32.  These
          were added after VC6 shipped and are provided in subsequent
          headers, including the SDK's.  They are defined here for those
          us who don't have the new headers.

Sat May 24 14:10:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
          Removed cygwin specific code, isn't needed anymore

        * ace/config-cygwin32.h:
          Cygwin supports mmap and msync.

Fri May 23 22:20:14 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Kokyu/Kokyu.cpp: Fixed fuzz errors.

Fri May 23 09:13:38 2003  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

        * ace/OS_Dirent.cpp (opendir_emulation): Added a check to see
          if the file is infact a directory.  Thanks to Udo Berninger
          <udo.berninger@siemens.com> for reporting this fix.

Fri May 23 10:46:50 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        From Carsten Madsen <com@navicon.dk>
        * ace/TTY_IO.h (Serial_Params):

          Added new "readmincharacters" member that denotes the minimum
          number of characters for a non-canonical read.

        * ace/TTY_IO.cpp (control):

          Take into account the new Serial_Params::readmincharacters value
          so that serial line timeout configuration is no longer as
          limited as it was prior to this change.  [Bug 1388]

Fri May 23 12:20:54 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * THANKS: Added Vincent Korkos to the hall of fame.

Fri May 23 11:43:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst: Added the OBV tests to our daily
          builds. This is going to be one of the *most* important features
          for CIAO and it is really sad that it is not being tested at
          all! Ran into this when I was running some smoke tests and found
          a surprise. No prizes  for getting it right! One of the tests
          failed :(!

Fri May 23 10:38:13 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          If idlgendir is used, generate extra information in order to clean
          up the generated files.  Thanks to Andrey Nechypurenko
          <andrey.nechypurenko@siemens.com> for reporting this.

Fri May 23 14:46:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS.i (ioctl):
          Cygwin has ioctl, so removed Cygwin specific that just returned
          a notsup.

Fri May 23 09:38:55 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyGenerator.pm:

          Use case insensitve exclusion and remove double slashes and back
          slashes.

Fri May 23 09:18:32 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/nmake.mpd:

          Modify the depend target to call perl and pass it the depgen.pl
          script instead of directly executing depgen.pl.

Fri May 23 08:10:23 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyEditor.pm:
        * bin/DependencyGenerator/DependencyGenerator.pm:
        * bin/DependencyGenerator/DependencyWriter.pm:
        * bin/DependencyGenerator/DependencyWriterFactory.pm:
        * bin/DependencyGenerator/GNUDependencyWriter.pm:
        * bin/DependencyGenerator/GNUObjectGenerator.pm:
        * bin/DependencyGenerator/NMakeDependencyWriter.pm:
        * bin/DependencyGenerator/NMakeObjectGenerator.pm:
        * bin/DependencyGenerator/ObjectGenerator.pm:
        * bin/DependencyGenerator/ObjectGeneratorFactory.pm:
        * bin/DependencyGenerator/Preprocessor.pm:
        * bin/depgen.pl:

          Added my generic dependency generator that will work with both GNU
         Makefiles and NMakefiles.

Fri May 23 11:41:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Sock_Connect.cpp:
          Corrected debug statements that where wrong or incomplete.

Fri May 23 11:26:32 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Improved because cygwin doesn't support pthreads completely by
          setting some ACE_LACKS defines.

Fri May 23 10:01:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Set the correct defines when building with threading enabled.

Fri May 23 08:08:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS.i (sigwait):
          Cygwin has sigwait but it is not implemented, so for cygwin
          make sigwait a notsup.

Fri May 23 03:04:01 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Configuration.h:
          Fixed many instances of "t_name" that had either never been set
          or had been changed back to "name".  This is needed to support
          default or unnamed values in the Registry or ini files.  This
          fixes several errors on Windows, especially in WCHAR builds.

Fri May 23 02:44:23 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/config-win32-common.h:
          Added ACE_HAS_VSWPRINTF define.  This should clear up some
          the tests/Malloc_Test failures for WCHAR builds.

Thu May 22 10:53:43 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Make sure to apply the relative definitions to the flag override
          values.

Thu May 22 10:30:31 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:

          If an mwc file contained a relative path to an mpc file or
          directory, these workspace creators would generate invalid
          workspaces.  This situation is accounted for now.

Thu May 22 15:29:02 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/TP_Reactor.cpp:
          Fixed typo on Windows.

Thu May 22 15:02:04 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Signal_Test.cpp:
          Added include of ace/ACE.h to fix compile problem on AIX.

Thu May 22 13:16:11 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Makefile.tests:
          Readded Multihomed_INET_Addr_Test that was mistakenly left out
          when the makefiles were reorganized.

        * tests/Proactor_Timer_Test.dsp:
        * tests/Service_Config_Tests.dsp:
        * tests/Test_Output.dsp:
          Fixed library path problems in Win32 Release builds.  Thanks to
          Simon McQueen <sm@prismtechnologies.com> for reporting this.

Thu May 22 12:52:59 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-mingw.h:
          Added define ACE_LACKS_NATIVE_STRPTIME

Thu May 22 07:35:23 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/USAGE:

          Updated the documentation on the new feature files and the
          -feature_file option.

        * bin/MakeProjectCreator/config/global.features:

          This is the global feature file.  It contains the default feature
          settings that should be acceptable for most situations.  See
          comments in this file for more information.

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/FeatureParser.pm:
        * bin/MakeProjectCreator/modules/Options.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Support has been added for the new feature files.

Thu May 22 07:28:29 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/TP_Reactor.h:
        * ace/TP_Reactor.cpp: Reverted changes from this "Thu May 22
          00:16:11 UTC 2003  Don Hinton  <dhinton@dresystems.com>". The
          right fix for compilers that emit warnings when trying to
          override only a few methods from a set of overloaded methods in
          the derived class, is to completely declare all the other
          overloaded methods. In the definition of the methods that we
          dont plan to override we should simply call the base class
          implementation.

Thu May 22 11:29:54 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
        * ace/config-cygwin32-common.h:
          Moved the contents of the cygwin32-common file to the cygwin32
          file. It doesn't make sense to have two files for cygwin.

Thu May 22 07:51:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
          Added defines ACE_HAS_STRPTIME and ACE_LACKS_NATIVE_STRPTIME

        * ace/config-win32-mingw.h:
          Added define ACE_HAS_STRPTIME

        * ace/Token_Collection.h:
        * ace/Token_Invariants.h:
        * ace/Token_Manager.h:
          Doxygen documentation fixes.

Wed May 21 19:55:54 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

          Thanks to Tongzhe Cui <tonycui@yahoo.com> for motivating the
          following changes.

        * ace/MEM_Acceptor.h:
        * ace/MEM_Acceptor.i (init_buffer_size): Added this new helper
          function to set the initial buffer size of the newly created
          ACE_MEM_Stream the acceptor creates subsequently.

        * ace/MEM_Connector.h:
        * ace/MEM_Connector.i:
        * ace/MEM_Acceptor.h:
        * ace/MEM_Acceptor.i: Marked the malloc_options accessor function
          as deprecated.

        * tests/MEM_Stream_Test.cpp (test_concurrent): Changed to use the
          new init_buffer_size method to set the buffer size.

Thu May 22 00:16:11 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/os_include/math.h:
          Fixed a FUZZ error by disabling it in this file.

        * ace/TP_Reactor.h:
          Added using ACE_Select_Reactor::register_handler; so the virtual
          methods that weren't reimplemented wouldn't be hidden.

        * tests/DLList_Test.cpp:
          Added missing STRLIST_REVERSE_ITERATOR typedef and fixed a few
          function calls that were missing an argument.

Wed May 21 16:05:29 2003  Steve Huston  <shuston@riverace.com>

        * ace/Containers_T.i (ACE_DLList_Reverse_Iterator<T>::next (T *&ptr)):
          If the next() pointer is 0, don't dereference it. Thanks very much
          to Ken Kane <kkane@livevault.com> for this fix.

        * tests/DLList_Test.cpp: Added a run_reverse_iterate() test function
          to hit the error case above.

        * THANKS: Added Ken Kane <kkane@livevault.com> to the Hall of Fame.

Wed May 21 21:46:19 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Main.cpp:
          Include ace/ACE.h if ACE_HAS_WINCE is defined since it calls
          ACE::init().

        * tests/tests.mpc:
          Added missing Main.cpp for Thread_Pool_Reactor_Test.

        * tests/RMCast/tests/mpc:
        * tests/SSL/tests.mpc:
          Added "libpaths += .." so they can find Test_Output.lib.

Wed May 21 21:25:20 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Test_Output.cpp:
          Add include of ace/Object_Manager.h and
          ace/Framework_Component.h instead of ace/Singleton.h.  This
          fixes compile problems on AIX as well as reducing the number of
          includes.

Wed May 21 14:32:13 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Test_Output.dsp:
          Removed post build step that cleaned up old versions of
          Test_Output*.dll.

Wed May 21 09:25:16 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Parser.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Push escape_regex_special() back into Parser.

        * bin/MakeProjectCreator/modules/Driver.pm:

          Print out a relative path for files that are being processed.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          If generating a workspace per project, don't modify the workspace
          name.

Wed May 21 14:12:16 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS.h:
        * ace/config-cygwin32-common.h:
        * ace/README:
          Removed define ACE_HAS_CYGWIN32_SOCKET_H because it is not used and
          needed anymore.

Wed May 21 02:49:10 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Makefile.am:
          Added missing Main.cpp to several targets.  Thanks to
          Terletsky Oleg <oleg.terletsky@comverse.com> for reporting this
          and supplying the patch.

Tue May 20 18:56:03 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/tests.mpc:
        * tests/RMCast/tests.mpc:
        * tests/SSL/tests.mpc:
          Changed name of "Test Output" project to "Test_Output" and made
          it a dependency of all the other test projects.  Thanks to
          Nanbor Wang <nanbor@cse.wustl.edu> for this suggestion.

Tue May 20 12:53:59 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/TP_Reactor.h:
        * ace/TP_Reactor.cpp: Do not allow users to register signal
          handlers with the TP_Reactor. TP_Reactor does not signals at
          present and allowing this is simply confusing. We now return a
          value of -1 if users try registering a signal handler with the
          reactor. Thanks to Carsten Prescher
          <prescher@pcdasa73.vs.dasa.de> for pointing this out.

Tue May 20 10:54:10 2003  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

        * tests/Proactor_Test.cpp (open): Changed IPPROTO_TCP to
          ACE_IPPROTO_TCP.  Thanks to David Ohlemacher
          <ohlemacher@bbn.com> for motivating this.

Tue May 20 01:50:35 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Test_Output.dsp:
          Added a post compile step that deletes any Test_Output*dll's in
          current directory.  This will be removed once the autobuilds have
          have a chance to run and clean up the old files.

        * tests/Test_Output.cpp:
          Fixed a typo, and changed the close_singleton() method to delete
          the instance_ directly and set it = 0;

Tue May 20 01:50:35 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/config-aix-4.x.h:
        * ace/config-cygwin32-common.h:
        * ace/config-freebsd.h:
        * ace/config-irix5.2.h:
        * ace/config-irix5.3-g++.h:
        * ace/config-irix5.3-sgic++.h:
        * ace/config-irix6.x-common.h:
        * ace/config-linux-common.h:
        * ace/config-lynxos.h:
        * ace/config-m88k.h:
        * ace/config-macosx.h:
        * ace/config-netbsd.h:
        * ace/config-openbsd.h:
        * ace/config-qnx-neutrino.h:
        * ace/config-qnx-rtp.h:
        * ace/config-sunos4-g++.h:
        * ace/config-sunos4-lucid3.2.h:
        * ace/config-sunos5.4-g++.h:
        * ace/config-sunos5.4-sunc++-4.x.h:
        * ace/config-sunos5.5.h:
        * ace/config-tandem.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-win32-msvc.h:
          Commented out ACE_HAS_ALLOCA.  Even though these
          compiler/platform combinations do have alloca(), it can be
          dangerous.  Users can uncomment it or define it in their own
          config.h file if they want to use it.  Please see ChangeLog
          entry "Mon May 19 11:03:31 2003  Ossama Othman
          <ossama@dre.vanderbilt.edu>" below for how to use it with autoconf.

Tue May 20 01:10:42 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/DLL_Manager.cpp (get_handle):
          Always return handle on success.  As coded, it only returned the
          handle if the refcount was > 0 when become_owner was passed.

          Added additional debug statements when ACE::debug() is enabled.

        * tests/Makefile.Test_Output:
          Correctly define TEST_OUTPUT_BUILD_DLL when building shared
          library.

        * tests/test_config.h:
        * tests/Test_Output.cpp:
          Reverted Test_Output to a singleton, although not based on
          ACE_Singleton.  This keeps us from having to include
          Singleton.h, which in turn includes OS.h.  Thanks to Johnny
          Willemsen <jwillemsen@remedy.nl> for helping track this down and
          suggesting the fix.

Mon May 19 11:03:31 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac:

          Only detect alloca() support if explicitly enabled by the user.

        * bin/make_release:

          Reenabled bootstrapping of ACE+Autoconf support when creating
          ACE beta/release kits.

        * m4/ace.m4 (ACE_CONFIGURATION_OPTIONS):

          Added "--enable-alloca" configure script option.  alloca()
          support will be disabled by default.

Mon May 19 16:08:47 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/CDR_Test.cpp:
        * tests/MT_Reactor_Upcall_Test.cpp:
        * tests/Pipe_Test.cpp:
        * tests/Process_Mutex_Test.cpp:
        * tests/Reactor_Dispatch_Order_Test.cpp:
        * tests/Time_Service_Test.cpp:
          Added include of ace/ACE.h to fix compile problem on AIX.  ACE.h
          was being picked up in ace/String_Base.cpp that's only included
          when ACE_TEMPLATES_REQUIRE_SOURCE is defined, which AIX doesn't.

        * tests/RB_Tree_Test.cpp:
          Added include of ace/Synch.h to fix compile problem on AIX
          similar to the above.

Mon May 19 15:14:22 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Test_Output.dsp:
          Changed output location for dll so that other projects can find it.

        * tests/DLL_Test_Impl.dsp:
        * tests/Framework_Component_DLL.dsp:
        * tests/Service_Config_DLL.dsp:
          Removed dependency on Test_Output.dll which isn't needed and causes
          build failures in the autobuilds since they don't honor the dependencies
          in tests.dsw.

Mon May 19 11:13:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/SSL/Makefile.bor:
        * tests/RMCast/Makefile.bor:
          Changed location of Test_Output lib

        * tests/Test_Output.bor:
          Changed location to core_bindir, else we can't find the lib from
          other makefiles.

        * tests/Makefile.bor:
          Trigger makefile for Tests.bor and Test_Output.bor, this makes
          it possible to make sure that Test_Output is build first

        * tests/Tests.bor:
          Contents of the original Makefile.bor. This because it is not
          possible to make sure that Test_Output is build first.

Mon May 19 04:30:45 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/*.icc:
          Added Main.cpp to all executable projects.

        * tests/libTest_Output.icc:
        * tests/tests.icp:
          Added new file, libTest_Output.icc, and added it to tests.icp.

        * tests/vacpp_setup.icc:
          Added Test_Output to platformLinkLibs.

Mon May 19 03:12:23 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/Makefile.am:
          Added new Test_Output.la and Main.cpp to all *SOURCE variables.

Sun May 18 20:00:58 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tests/ACE_Init_Test.cpp:
          Added include of ACE.h.

        * tests/test_config.h:
          Added Test_Output_Export to randomize() declaration.

        * tests/tests.dws:
        * tests/Test_Output.dsp:
          Added new project file, Test_Output.dsp, and added it to tests.dsw.

        * tests/*.dsp:
          Added Test_Output[*].lib and Main.cpp source to all projects (except dlls).

        * tests/RMCast/*.dsp:
          Added Test_Output[d].lib to all project files.

Sun May 18 19:18:45 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        Merged up tests changes.

        Sun May 18 18:21:00 UTC 2003  Don Hinton  <dhinton@dresystems.com>

          * tests/tests.mpc:
            Added Test_Output library and Main.cpp to all objects.

          * tests/RMCAST/Makefile.bor:
          * tests/RMCAST/tests.mpc:
          * tests/SSL/Makefile:
          * tests/SSL/Makefile.bor:
          * tests/SSL/tests.mpc:
            Added Test_Output library to all objects.

        Sun May 18 17:32:29 UTC 2003  Don Hinton  <dhinton@dresystems.com>

          * tests/Makefile.bor:
          * tests/Test_Output.bor:
            Added new Borland Makefile, tests/Test_Output.bor and modified
            Makefile.bor to call it and link Test_Output.lib for all objects
            and add Main.obj to OBJFILES.

          * tests/test_config.h:
          * tests/Test_Output_Export.h:
            Added tests/Test_Output_Export.h and added Test_Output_Export to
            Test_Output class declaration.

        Sun May 18 00:04:17 UTC 2003  Don Hinton  <dhinton@dresystems.com>

          Merged dre_030425 up to the main and rebranched to dre_test_01.

        Sat May 17 19:31:43 UTC 2003  Don Hinton  <dhinton@dresystems.com>

          * ace/Codecs.h:
          * ace/Unbounded_Set.inl:
          * ace/Unbounded_Set_Ex.inl:
            Added include of ace/Global_Macros.h:

          * tests/Makefile:
          * tests/Makefile.libs:
          * tests/Makefile.tests:
          * tests/Makefile.dirs:
            Added new files, Makefile.libs, Makefile.tests, and
            Makefile.dirs, and moved the contents of Makefile to these
            files.  This allows us to create a new libTest_Output that all
            the tests depend on.

          * tests/test_config.h:
          * tests/Test_Output.cpp:
            Moved the Test_Output class impementation into it's own cpp so
            it can be built into libTest_Output.  This helps speed up
            compilation by reducing dependencies and allowing the class to
            be compiled a single time instead of once for each test.

          * tests/*.cpp:
          * tests/Main.cpp:
            Moved ACE_TMAIN to a new file, Main.cpp, and changed all main
            and ACE_TMAIN instances to run_main.  This helps obviate the
            need to include OS.h, needed by ACE_TMAIN, in every test, thus
            speeding up compilation and reducing dependencies.

          * tests/ACE_Test.cpp:
            Only include ace/ACE.h when ACE_WIN32 is defined.

          * tests/Aio_Platform_Test.cpp:
            Remove include of ace/Log_Msg.h.

          * tests/Basic_Types_Test.cpp:
            Replace include of ace/OS.h with ace/config-all.h.

          * tests/Bound_Ptr_Test.cpp:
            Remove includes of ace/ACE.h, ace/Synch.h, ace/Message_Queue.h,
            and ace/Method_Request.h.

          * tests/CDR_Array_Test.cpp:
          * tests/Codecs_Test.cpp:
          * tests/Mem_Map_Test.cpp:
          * tests/MM_Shared_Memory_Test.cpp:
          * tests/MT_Reactor_Timer_Test.cpp:
          * tests/Object_Manager_Test.cpp:
          * tests/Token_Strategy_Test.cpp:
            Add include of ACE.h.

          * tests/Env_Value_Test.cpp:
            Don't pass envp[].

          * tests/Get_Opt_Test.cpp:
            Removed include of OS.h:

          * tests/Reverse_Lock_Test.cpp:
            Added include of ace/Synch.h.

          * tests/Timeprobe_Test.cpp:
            Added include of ace/Singleton.h.

          * tests/RMCast/Makefile:
            Added -lTest_Output to LDLIBS.

          * tests/RMCast/RMCast_Fragment_Test.cpp:
          * tests/RMCast/RMCast_Membership_Test.cpp:
            Added include of ace/ACE.h.

Fri May 16 11:15:53 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Added a new keyword for custom definitions.  If the file type
          generated by the command doesn't belong to source, inline, header,
          resource or documentation, then use generic_outputext.

Thu May 15 09:32:01 2003  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Configuration_Import_Export.cpp (import_config): Fixed a memory
          leak where the "data" buffer wasn't being deleted.  Thanks to
          Roland Meub <Roland.Meub@tenovis.com> for reporting this.

Thu May 15 10:41:32 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:

          Add a -r to the realclean target for custom generated files.  The
          generated files could be directories.

Thu May 15 12:21:28 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/SOCK_SEQPACK_Association.cpp:
          Added missing explicit template instantiation for
          ACE_Auto_Array_Ptr/ACE_Auto_Basic_Array_Ptr<sockaddr_in>, needed
          at least for SUNWspro_6.2.

Thu May 15 07:08:39 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a couple of bugs with the custom build types.  Generated
          files were being selected due to a back regular expression match.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Only write out a new workspace if it is different than the
          existing one or if one doesn't exist.

        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Only output custom rules if the input file has corresponding
          output files.

Wed May 14 20:02:56 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/config-all.h:
        * ace/README:
          Rolled back Wed May 14 14:52:40 UTC 2003  Don Hinton
          <dhinton@dresystems.com>.

Wed May 14 14:09:56 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug with custom types when processing multiple mpc files
          that use a custom type.  The type definitions were not being
          removed after processing.

Wed May 14 13:52:37 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Always use gendir if it's defined not just if the output_option is
          specified.  The command may output to gendir without an
          output_option.

Wed May 14 11:11:31 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/nmake.mpd:

          Force the idl_stubs target to be processed before anything else.
          In case an idl file is listed but not explicitly listed in the
          source files, we still need to process the idl first.

Wed May 14 14:52:40 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/config-all.h:
        * ace/README:
          Added new macro, ACE_USES_ALLOCA.  If it is not defined in the
          user's config.h, then turn off ACE_HAS_ALLOCA by default.

Tue May 13 09:39:13 2003  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/OS.i (last_error): Fixed this method so that it assigns errno
          to the error value.  This fixes an inconsistency reported by
          Damien Dufour <damien.dufour@horanet.com>.

Tue May 13 16:59:00 2003  Simon McQueen  <sm@prismtechnologies.com>

        * include/makeinclude/ace_flags.bor:

          Made TAO_PORTABLESERVER_CFLAGS and TAO_PORTABLESERVER_LIB into
          the aggregation of themselves and TAO_VALUETYPE/TAO_IORINTERCEPTOR/
          TAO_ORT - CFLAGS and LIB respectively. Should fix link errors on
          the static build.

Tue May 13 09:04:18 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added support for dynamic workspace and project names based on the
          default project name.  Asterisks in the project or workspace name
          are replaced by the default name.  See the README for more
          details.

Tue May 13 07:47:09 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          If a value is an empty string or an array of empty strings, then
          we will assume the value is undefined for <%if()%> statements.

Mon May 12 19:27:54 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Thread_Manager.cpp (wait): Fixed an occasional assertion
          failure during shutdown of our servers which seems be caused by
          a double deletion of an item in the ACE_Thread_Manager
          terminated_thr_list_ in ACE_Thread_Manager::wait ().

          The statement "item = this->terminated_thr_list_.delete_head ()"
          is not protected by the mutex and can be access by
          more than one thread modifying the terminated_thr_list_.
          Extending the mutex protection scope fixed this problem.
          Thanks to Bruce McIntosh <bruce.mcintosh@boeing.com> for
          suggesting the fix.  [Bug 1505]

Mon May 12 13:32:56 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Check for existence of output file before checking for the size.

Mon May 12 13:23:27 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Convert dashes in project names to underscores.  VC6 can't handle
          project names with dashes.

Mon May 12 16:35:16 2003  Simon McQueen  <sm@prismtechnologies.com>

        * include/makeinclude/build_example.bor:

          Added missing libraries to fix static build link errors.

Mon May 12 08:56:27 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Added a check to avoid comparing the output files if they are
          different sizes.

Mon May 12 07:39:29 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Added code to compare the output project with the existing
          project.  If they are the same then do not overwrite the project
          file.  This is very helpful when your workspace is loaded in vc6
          or vc7.

Fri May  9 16:55:17 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * THANKS: Added Thomas Wiegert to the hal of fame.

Fri May 09 12:57:09 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * bin/MakeProjectCreator/config/ciao_client.mpb:
        * bin/MakeProjectCreator/config/ciao_component.mpb: Added more
          directories into libpaths to reflect recent TAO subsetting
          efforts.

Fri May  9 12:49:42 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug with project names with special characters not being
          matched witht the proper resource file.

Fri May  9 10:17:11 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/fuzz.pl (check_for_ptr_arith_t):

          New check for ptr_arith_t usage in source files.  Steve Huston
          points out that we should be using the portable/standard
          ptrdiff_t type instead.

Fri May  9 12:12:51 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug where file names would have extra slashes in them.

Fri May  9 11:58:57 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * THANKS: Added Ira Burton to the hall of fame.

Fri May 09 11:04:44 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/Thread_Manager.h:
        * ace/Thread_Manager.cpp: Applied a patch that expose the
          Thread_Manager internal freelists, and the thread startup sync
          mutex in Thread_Descriptor.  These changes allow users to derive
          their own Thread_Manager and spawn threads using a third party
          library, such as that of Sybase's Open Server.   Thanks to Caleb
          Epstein <cae@bklyn.org> for submitting the patch.

Fri May  9 08:45:12 2003  Chad Elliott  <elliott_c@ociweb.com>

        * examples/Reactor/WFMO_Reactor/Handle_Close.cpp:

          Fixed a build warning from Borland.

Fri May  9 08:01:59 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:

          Added documentation on the Custom File Definitions.

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Fixed bad error handling.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Added support for custom build definitions.  See the
          "Custom File Definitions" section of the README for more
          information.

        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Utilize the custom types in the supported template files.

Thu May  8 18:50:24 2003  Steve Huston  <shuston@riverace.com>

        * tests/run_test.lst: Moved Cached_Accept_Conn_Test down the list
          to put some time between it and Cached_Conn_Test. They both suck up
          all available sockets and one after the other is a guaranteed fail
          on Windows XP due to socket starvation.

Thu May  8 16:57:18 2003  Steve Huston  <shuston@riverace.com>

        * ace/Date_Time.i (update): WinCE doesn't do localtime(), so extract
          the FILETIME value from ACE_Time_Value and convert it to system time.
          Fixes Bugzilla #1502.

        * ace/OS.cpp (uname): Added proper sensing of Windows CE at runtime
          as well as the ARM processor type.

        * tests/Enum_Interfaces_Test.cpp: Convert the interface address
          strings to ACE_TCHAR for logging. Makes them legible on wide-char
          builds. Fixes Bugzilla #1501.

Thu May 08 15:03:17 2003  Simon McQueen  <sm@prismtechnologies.com>

        * bin/msvc_auto_compile.pl:

          Added IORInterceptor, ObjRefTemplate, and Valuetype into the -LIB
          -CORE list. I think the absence was causing the failures to build
          the Naming Service in the static builds.

Thu May  8 06:44:19 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/topinfo_iorsize_stats.sh (FILES): Fixed a typo in the
          script!

Wed May  7 17:51:51 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/MakeProjectCreator/config/iorinterceptor.mpb:
        * bin/MakeProjectCreator/config/objreftemplate.mpb:
        * bin/MakeProjectCreator/config/valuetype.mpb:

          New base project files correponding to the new libraries
          subsetted out of TAO.

Wed May  7 18:32:45 2003  Steve Huston  <shuston@riverace.com>

        * tests/FIFO_Test.cpp: Fix the version of main() that was actually
          causing the problem (see: Tue May  6 18:06:39 2003  Steve Huston)

Wed May  7 17:02:44 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_component.mpb: Added the
          required libraries to build the server. This was necessitated by
          the recent subsetting in TAO.

Wed May  7 17:25:49 2003  Steve Huston  <shuston@riverace.com>

        * ace/Service_Config.h: Added description of the -s option to
          ACE_Service_Config::open(). Also clarified -f, -k, -n, -y and -S.

Wed May  7 14:00:31 2003  Steve Huston  <shuston@riverace.com>

        * ace/Basic_Types.h: In ACE_LONGLONG_TO_PTR macro, replace use
          of ptr_arith_t with ptrdiff_t. Thanks to Ossama for noticing this.

Wed May  7 12:03:28 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/topinfo_iorsize_stats.sh (FILES): Removed the memory
          tracking on the client side since its of no use. Added code to
          collect the actual size of the server growth once data is
          marshalled.

        * bin/generate_topinfo_stats.sh: Used the 4th argument to plot
          information on the y axis.

Wed May  7 08:22:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Just define libflags, no need to define them to 1

Tue May  6 18:06:39 2003  Steve Huston  <shuston@riverace.com>

        * ace/Basic_Types.h: Add typedef of ptrdiff_t for WinCE 3. Follow-up:
          Tue May  6 13:39:27 2003  Steve Huston <shuston@riverace.com>

        * tests/FIFO_Test.cpp: Changed main() to ACE_TMAIN() to fix WinCE
          (wide char) build error.

        * bin/PerlACE/Process_Win32.pm: Corrected comments about what the
          PocketPC script is doing.

Tue May  6 13:39:27 2003  Steve Huston <shuston@riverace.com>

        * ace/Functor.i (ACE_Hash<void*>::operator()):
        * ace/OS_Memory.h (ACE_align_binary): Replace ptr_arith_t with
          the standard type ptrdiff_t.

        * ace/Basic_Types.h: Removed all the conditionals for trying to figure
          out how to define ptr_arith_t. Replaced it with a typedef
          ptrdiff_t ptr_arith_t. This is a temporary placeholder until all
          ptr_arith_t usage can be expunged from TAO. Required adding
          #include <stddef.h> to pick up the ptrdiff_t type.

Tue May  6 11:50:18 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Synch.cpp (get_nesting_level):

          On Windows XP 64-bit, the RecursionCount of the CRITICAL_SECTION
          object is zero based.  With Win32, it is 1 based.  So, we use
          LockCount + 1 on Win64.

Tue May  6 09:19:07 2003  Chad Elliott  <elliott_c@ociweb.com>

        * tests/MT_Reactor_Timer_Test.cpp:
        * tests/RMCast/RMCast_Fragment_Test.cpp:
        * tests/RMCast/RMCast_Reassembly_Test.cpp:
        * tests/Reactor_Timer_Test.cpp:
        * tests/Service_Config_Test.cpp:
        * tests/Thread_Manager_Test.cpp:

          Remove build warnings on Windows XP 64-bit.

Tue May  6 09:03:32 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Reverted my change from Tue May  6 06:54:43 2003.

Tue May  6 06:54:43 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Simplified the generated Makefile by using the .DEFAULT rule.

Mon May  5 19:06:49 2003  Steve Huston  <shuston@riverace.com>

        * bin/MakeProjectCreator/templates/nmake.mpd: When generating the
          REALCLEAN rule, use a separate erase command for the various
          exe-related files, else multiple files end up being generated in
          a single pair of quotes, making the list appear as a single
          filespec and nothing gets deleted.

Mon May  5 13:34:46 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/RMCast/RMCast_Fragment.cpp:
        * ace/RMCast/RMCast_IO_UDP.cpp:
        * ace/RMCast/RMCast_Partial_Message.cpp:
        * ace/RMCast/RMCast_Reassembly.cpp:
        * examples/Reactor/WFMO_Reactor/APC.cpp:
        * examples/Reactor/WFMO_Reactor/Handle_Close.cpp:
        * examples/Reactor/WFMO_Reactor/Multithreading.cpp:
        * examples/Reactor/WFMO_Reactor/Prerun_State_Changes.cpp:
        * examples/Reactor/WFMO_Reactor/Removals.cpp:
        * examples/Reactor/WFMO_Reactor/WFMO_Reactor.mpc:
        * tests/Basic_Types_Test.cpp:

          Fixed build errors and warnings for Windows XP 64-bit.

        * tests/tests.mpc:

          Added the FIFO test.

Mon May  5 17:07:23 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Just define dllflags, no need to define them to 1

Sun May  4 23:59:41 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ACE-INSTALL.html: Updated MAC OS part of the file as per the Jon
          Zorko's request.

Sun May  4 16:45:46 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * THANKS: Added Scott Gammil to the hall of fame.

Sat May 03 16:19:39 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * THANKS: Added Andras Lang to the hall of fame.

Sat May  3 18:18:07 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          When checking for $Id strings, when found jump out of the
          while loop. This improved the speed of the check by factor
          two on my system.

Fri May  2 20:07:19 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * include/makeinclude/ace_flags.bor:

          Added some flag and lib definitions that will be used by
          BCB with the new TAO libraries that will appear in a
          forthcoming CVS branch merge.

Fri May  2 08:45:09 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Only create a project if source files or idl files are found or
          listed.

Thu May  1 12:55:13 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/VC6WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC7WorkspaceCreator.pm:

          Use the get_validated_ordering() method.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added a method to get the validated ordering instead of modifying
          the projects dependencies.  That way the project caching still
          functions properly in the case of overlapping projects within
          multiple workspaces.

Thu May  1 10:32:26 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:

          Fixed the process return value for when the default input is used.
          It was hard coded to always return 1 and did not take into account
          that a default workspace could have mpc files that do not evaluate
          properly.

Thu May  1 07:09:07 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/StringProcessor.pm:

          Correct a problem with creating arrays from strings with only
          spaces.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Check to see that an option was used before trying to access the
          option type.

Wed Apr 30 20:15:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please direct all immediate build issues to jcohen@atl.lmco.com
        if problems occur as a result of this check in.  Thank you.

        * performance-tests/SCTP/SOCK_SEQPACK_srv.cpp
        * performance-tests/SCTP/SOCK_STREAM_clt.cpp
        * performance-tests/SCTP/SOCK_STREAM_srv.cpp
        * performance-tests/SCTP/Options_Manager.cpp

        Corrected IPPROTO_SCTP #define to only occur on platforms
        that don't have it defined already.

        * performance-tests/SCTP/Makefile
        * performance-tests/SCTP/SOCK_SEQPACK_Association_Test.cpp
        * tests/Makefile
        * tests/SOCK_SEQPACK_Association_Test.cpp
        * tests/SOCK_SEQPACK_Association_Test.dsp
        * tests/tests.dsw

        Moved SOCK_SEQPACK_Association_Test from tests/ to
        performance-tests/SCTP/.  It does not match the philosophy
        of the tests in the tests directory.

Wed Apr 30 13:43:14 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:

          Rename the workspace extension from .mak to .nmake to avoid
          possibly overwritting a generated project.

Wed Apr 30 10:42:04 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:

          Added the full path of the input file to the error output in the
          parse_file() method.

Wed Apr 30 16:08:13 2003  Simon McQueen  <sm@prismtechnologies.com>

        * ace/ace_lib.dsp:

          Added Multihomed_INET_Addr.*, SOCK_SEQPACK_Association.*, and
          SOCK_SEQPACK_Connector.* into project to fix errors on the static
          builds.

Wed Apr 30 09:38:19 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          If no type is specified for the exclude keyword, then exclude the
          listing for all project types.

Wed Apr 30 08:37:29 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Parser.pm:

          Search the current directory for include files first instead of
          last.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Convert project name spaces to underscores.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Fixed a bug in generated workspace naming.  Also, added build
          ordering verification.  To enable invalid ordering warnings set
          the MPC_VERBOSE_ORDERING environment variable.

Wed Apr 30 07:40:51 2003  Chad Elliott  <elliott_c@ociweb.com>

        * apps/gperf/src/Hash_Table.cpp:
        * apps/gperf/src/Key_List.cpp:

          Remove build warnings on Windows XP 64-bit.

Tue Apr 29 18:40:28 2003  Steve Huston  <shuston@riverace.com>

        Picked up the following from Riverace's 5.3 tree:

        Sat Apr 19 19:12:39 2003  Steve Huston  <shuston@riverace.com>

        * ace/config-WinCE.h: Define ACE_DEFAULT_BASE_ADDR to 0 always;
          WinCE can't do fixed address memory mapped file. Also added
          ACE_HAS_TSS_EMULATION; WinCE is very restrictive with TLS keys.

        * ace/config-win32-common.h: Only set ACE_DEFAULT_BASE_ADDR if it
          hasn't been set prior. Allows the CE definition to hold, and also
          allows a user to set a particular value.

        * ace/Configuration.cpp: When native Win32 calls are used and return
          an error, set errno to the error status value so the logging %p
          stuff works correctly.

        * ace/Log_Msg.cpp (log): For %p, don't try strerror() for WinCE. It
          doesn't have this concept, so run everything through FormatMessage.

        * tests/Config_Test.cpp: Be sure that no keys are left open before
          attempting to delete the referred-to sections later. Deleting
          while a key is still open to the being-deleted section fails on CE.

        * tests/Logging_Strategy_Test.cpp: When setting the ouptut log file
          name, use the platform log file extension (it's different for WinCE).

        * tests/Malloc_Test.cpp: If on WinCE, must use base 0, NEVER_FIXED
          ACE_MMAP_Memory_Pool_Options. WinCE cannot do fixed addresses.

        * tests/MT_Reactor_Upcall_Test.cpp:
        * tests/Reactor_Dispatch_Order_Test.cpp: Don't attempt the WFMO_Reactor
          part if on WinCE. CE doesn't have the necessary Winsock2 support.

        Fri Mar 21 22:45:39 2003  Steve Huston  <shuston@riverace.com>

        * ace/config-WinCE.h: Added ACE_LACKS_AUTO_PTR; also see
          Wed Feb 19 17:43:15 2003  Steve Huston  <shuston@riverace.com>

Tue Apr 29 18:30:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please direct all immediate build issues to jcohen@atl.lmco.com
        if problems occur as a result of this check in.  Thank you.

        * ace/ace.mpc

        Added SOCK_SEQPACK_{Association,Acceptor,Connector} and
        Multihomed_INET_Addr to "Sockets" section of mpc.

Tue Apr 29 18:15:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please direct all immediate build issues to jcohen@atl.lmco.com
        if problems occur as a result of this check in.  Thank you.

        * performance-tests/SCTP/SOCK_SEQPACK_clt.cpp

        Added check for IPPROTO_SCTP for platforms that natively
        know about SCTP.

        * tests/SOCK_SEQPACK_Association_Test.cpp

        Changed 'char' usage to 'ACE_TCHAR'

        * tests/icc.bat

        Added Multihomed_INET_Addr_Test.
        Suggestion: README needs to be updated to reflect
        current set of files where new tests must be added to.

Tue Apr 29 12:58:51 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/EM3WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VA4WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC6WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC7WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Keep track of workspace files written and modify duplicate
          workspace names to avoid overwritting them.

Tue Apr 29 12:17:03 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * ace/Message_Queue_T.cpp:
          Fixed a bug in Dynamic_Message_Queue::enqueue method. The
          current number of bytes was getting decremented when a message
          was enqueued. Thanks to Michael Kircher
          (Michael.Kircher@siemens.com) for reporting this bug.

Tue Apr 29 11:21:40 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ACEXML/common/AttributesImpl.cpp:
        * ACEXML/common/FileCharStream.cpp:
        * ACEXML/common/HttpCharStream.cpp:
        * ACEXML/common/Mem_Map_Stream.cpp:
        * ACEXML/common/NamespaceSupport.cpp:
        * ACEXML/common/StrCharStream.cpp:
        * ACEXML/common/Transcode.i:
        * ACEXML/common/Transcode.cpp:
        * ACEXML/parser/parser/Parser.cpp:
        * ace/Containers_T.cpp:
        * ace/FIFO_Send_Msg.cpp:
        * ace/Functor.i:
        * ace/Time_Value.inl:

          Remove build warnings on Windows XP 64-bit.

        * ace/config-win32-common.h:

          Added a definition for ACE_SIZEOF_VOID_P in the ACE_WIN64 section
          stating that the size of a pointer is 8 bytes.

Tue Apr 29 11:02:27 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:

          Change the workspace name from 'Makefile' to the the workspace
          name plus .mak.

Tue Apr 29 09:24:07 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Use the project name as the default library name instead of the
          directory name.

Tue Apr 29 08:47:16 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          If a project is not specified to be either a library or exe and it
          can't be determined that the type is exe, we default to a library.

Tue Apr 29 06:25:37 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:

          Remove the windows only part about dllflags and libflags.

Tue Apr 29 05:49:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Makefile.bor:
          Fixed typo.

Mon Apr 28 21:20:48 2003  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/POSIX_Proactor.cpp (handle_events_i): There was an incorrect
          conversion from milliseconds to nanoseconds, which is now fixed.
          Thanks to Ray Limpus <ray.limpus@boeing.com> for reporting this.

Tue Apr 29 00:30:37 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/generate_compile_stats.sh:
          My changes below worked so well, that ls can no longer
          handle all the objects, use find instead.

Mon Apr 28 11:00:13 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac:

          Reverted change that placed configure script set optimization
          flags before $CXXFLAGS.  GNU Autoconf likes to add "-g -O2" to
          $CXXFLAGS by default for GNU C/C++ compilers.  That
          unfortunately overrides the configure script optimization flags,
          hence the need to revert the change.

Mon Apr 28 10:54:02 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac:

          Updated copyright notice to include UCI and Vanderbilt DOC
          groups.  This is consistent with the notice in the COPYING
          file.

          Do not AC_DEFINE the _POSIX_PTHREAD_SEMANTICS feature test
          macros.  It should be defined on the command line instead of in
          the generated configuration header.  Addresses potential
          compile-time problems in applications that include system
          headers before ACE headers.

          Optimization flags set by the `configure' script are now placed
          before the user defined C++ flags (i.e. $CXXFLAGS).  This allows
          users to override flags set by the `configure' script.  Thanks
          to Braden McDaniel <bmcdaniel@objectsciences.com> for pointing
          out that user flags could be potentially overridden.

          Added support for UnixWare 7.1 from Oleg Terletsky
          <oterletsky@comcast.net>.

        * Makefile.am (AUTOMAKE_OPTIONS):

          Set the minimum Automake version in this file to allow older
          Automake versions, i.e. those that do not understand options set
          in the AM_INIT_AUTOMAKE autoconf macro, to detect the
          requirement.

          Set the Automake strictness to "foreign" so that the `NEWS' file
          will no longer be required.  We currently don't use a `NEWS'
          file.

          Thanks to Braden McDaniel <bmcdaniel@objectsciences.com> for
          suggesting these changes.

        * ace/OS.h (howmany):

          In addition to LynxOS, define this macro for UnixWare 7.1.
          Thanks to Oleg Terletsky <oterletsky@comcast.net> for providing
          the fix.

        * bin/bootstrap:

          No longer a need to create a dummy `NEWS' file.

        * m4/compiler.m4:
        * m4/config_h.m4:
        * m4/platform.m4:

          Added support for UnixWare 7.1 from Oleg Terletsky
          <oterletsky@comcast.net>.

          Do not AC_DEFINE feature test macros (e.g. _HPUX_SOURCE) in the
          generated config header.  Instead define them on the command
          line.  Addresses potential compile-time problems in applications
          that include system headers before ACE headers.

Mon Apr 28 13:45:03 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tests/Hash_Map_Bucket_Iterator_Test.cpp (ACE_TMAIN):

          Added debugging statements.

        * ace/Hash_Map_Manager_T.h (class ACE_Hash_Map_Bucket_Iterator):

          Added to documentation about why there is no creation method on
          the Hash Map for the ACE_Hash_Map_Bucket_Iterator.

        * ace/README: Added description for ACE_LACKS_MEMBER_TEMPLATES.

Mon Apr 28 17:35:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please direct all immediate build issues to jcohen@atl.lmco.com
        if problems occur as a result of this check in.  Thank you.

        * ace/Makefile.bor

        Added SOCK_SEQPACK_{Acceptor,Assocication,Connector}.obj and
        Multihomed_INET_Addr.obj

Mon Apr 28 15:15:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please direct all immediate build issues to jcohen@atl.lmco.com
        if problems occur as a result of this check in.  Thank you.

        * tests/Makefile.am
        * tests/Makefile.bor
        * tests/Multihomed_INET_Addr_Test.icc
        * tests/tests.icp
        * tests/tests.mpc

        We finally followed the README instructions for added a new
        test.  Hopefully test errors for a missing Multihomed_INET_Addr_Test
        on many platforms will go away.

Mon Apr 28 15:06:27 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/g++_metrics.sh:
          Comment metrics output so it won't confuse the tao_idl
          compiler, that uses CXX as the preprocessor by default.

        * bin/generate_compile_stats.sh:
          Add a new "targets" parameter that allows users to generate
          a targets file created with the --dry-run option.  This way
          even if something fails to compile, you still get a list of
          all targets and their dependencies.

Mon Apr 28 08:44:43 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/Kokyu_DLL.dsp:
        * Kokyu/Kokyu_Static.dsp:
          Updated projects to include DSRT work.

        * Kokyu/DSRT_Schedulers.cpp:
        * Kokyu/DSRT_Scheduler_Impl.cpp: Fixed some compiler errors on
          MSVC++. Thanks to Simon McQueen for pointing this out.

Mon Apr 28 07:54:04 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/MEM_Stream.h (ACE_MEM_Stream): Also mentioned that the
          message size limit can be tweaked from MEM_Connector.  Thanks to
          Tongzhe Cui <tonycui@yahoo.com> for the suggestion.

Mon Apr 28 09:21:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32-common.h:
          Added ACE_HAS_STRPTIME because cygwin supports it.

        * ace/config-doxygen.h:
          Added ACE_HAS_STRPTIME to generate documentation.

Sun Apr 27 14:39:00 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/MEM_IO.h:
        * ace/MEM_Stream.h: Added more documentation on the message size
          limit a MEM_Stream can handle and how to adjust the limit.
          Thanks to Tongzhe Cui <tonycui@yahoo.com> for motivating the
          change.

Sun Apr 27 18:38:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Timer_Queue/TQTDDLL.dsp:
          Set correct DLL name in the Release configuration

Sat Apr 26 21:20:37 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/MEM_Acceptor.cpp (accept): Fixed how the accept acquite the
          connecting (remote) port number.  Thanks to Steve Huston for
          calling this to my attention.

Sat Apr 26 12:00:36 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/DSRT_Scheduler.cpp:
          Corrected calculation for priority range.

        * Kokyu/tests/DSRT_MIF/MIF.cpp:
          Modifications to set the priority of thread based on the value
          returned from the scheduler.

Sat Apr 26 08:25:57 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/SCTP/SOCK_SEQPACK_clt.cpp:
        * performance-tests/SCTP/SOCK_STREAM_clt.cpp: Fixed compile
          errors.

Sat Apr 26 10:42:56 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Reactor_Exceptions_Test.cpp:
          Changed Borland specific defines to Borland and Win32, to fix
          Kylix compile error.

Sat Apr 26 08:50:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_borland.GNU:
        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/rules.bin.GNU:
          Updated Kylix rules so that we don't pass the same options multiple
          times to the linker.

Sat Apr 26 08:47:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_auto_compile.pl:
          Reverted complete change. Too much is now build in first pass.

Fri Apr 25 20:55:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please direct all immediate build issues to jcohen@atl.lmco.com
        if problems occur as a result of this check in.  Thank you.

        * ace/SOCK_Connector.h
        * ace/SOCK_SEQPACK_Connector.h

        Added comments to recently added 'protocol'
        parameter for Doxygen.

        * performance-tests/SCTP/SOCK_SEQPACK_clt.cpp
        * performance-tests/SCTP/SOCK_STREAM_clt.cpp

        Removed extraneous math.h and stdio.h references, which
        was causing a header conflict on AIX/64.

Fri Apr 25 15:15:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please direct all immediate build issues to jcohen@atl.lmco.com
        if problems occur as a result of this check in.  Thank you.

        * ace/ace_dll.dsp:

        Multihomed_INET_Addr and SOCK_SEQPACK_*
        {Acceptor,Association,Connector} classes added to dsp

        * performance-tests/Makefile:

        SCTP directory added to recursive Makefile list

Fri Apr 25 10:37:49 2003  Steve Huston  <shuston@riverace.com>

        * bin/PerlACE/Process_Win32.pm: Change the CE test control to use the
          value of the ACE_WINCE_TEST_CONTROLLER environment variable as the
          program name to start the controller with. It still assumes that
          the only CE controller is PocketController Enterprise. Also
          allows the ACE_PCE_DEVICE environment variable to contain the
          PocketController device connect options. The value should start with
          -l and end with a semi-colon. The generated command script no longer
          includes a "reset /s" command, so the sleep(10) is removed and the
          PocketController command includes the -d;-e options to disconnect
          and exit Pocket Controller after the script finishes. This requires
          Pocket Controller Enterprise v4.
          Also changed the PocketController default sleep time from 60 to 70
          seconds - Atomic_Op_Test was running about 62 and timing out.

Fri Apr 25 08:12:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_auto_compile.pl:
          Reverted change of yesterday to not build DLL projects twice.
          This caused several new problems in the build.

Fri Apr 25 06:18:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
        * ace/config-borland-common.h:
          Cleanup of duplicate stuff. Moved ACE_CC_PREPROCESSOR to
          win32 file.

Thu Apr 24 23:20:16 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/DSRT_Dispatcher_Impl.cpp:
        * Kokyu/DSRT_Dispatcher_Impl.h:
        * Kokyu/DSRT_Dispatcher_Impl.i:
        * Kokyu/DSRT_Schedulers.cpp:
        * Kokyu/DSRT_Schedulers.h:
        * Kokyu/Kokyu.cpp:
        * Kokyu/Kokyu.h:
        * Kokyu/tests/DSRT_MIF/MIF.cpp:
        * Kokyu/tests/DSRT_MIF/svc.conf:
        * Kokyu/tests/DSRT_MIF/svc.conf.xml:

          Made the importance value continuous instead of discrete to make
          it more compatible with DSRT MIF scheduler. Made the MIF
          scheduler accept max and min importance thru the svc.conf file.

Thu Apr 24 20:17:44 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/DSRT_Dispatcher_Impl.cpp:
        * Kokyu/DSRT_Dispatcher_Impl.h:
        * Kokyu/DSRT_Dispatcher_Impl.i:
        * Kokyu/DSRT_Schedulers.cpp:
        * Kokyu/DSRT_Schedulers.h:
        * Kokyu/Kokyu.cpp:
        * Kokyu/tests/DSRT_MIF/svc.conf:
        * Kokyu/tests/DSRT_MIF/svc.conf.xml:

          Restructuring the Kokyu DSRT scheduler stuff. The scheduler is
          now a service object so that different scheduler implementations
          can be selected at run time thru the svc.conf file.

Thu Apr 24 10:17:28 2003  Steve Totten  <totten_s@ociweb.com>

        * bin/MakeProjectCreator/config/smart_proxies.mpb:

          Added a smart_proxies base project to make it easy to
          build with TAO smart proxies support.

Thu Apr 24 13:55:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        * README.SCTP
          Edited for content. This file provides SCTP network level
          information.
        * README.OpenSS7
          Added. This file provides OpenSS7 implementation
          specific information.
        * README.SCIOP
          Added. This file provides TAO SCIOP level related
          README information. Ideally it might be put some place
          under TAO/ but it is kept here with other SCTP related
          README files.

Thu Apr 24 08:14:42 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Parser.pm:

          Fix a bug with cd() caused by relative paths in directories.

Thu Apr 24 11:06:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_auto_compile.pl:
          When the configuration name of the dsp file containers Library, DLL
          or LIB it is build first. Previous spaces are DLL and LIB where
          required. Also, previously, those projects where compiled twice,
          now only once.

Thu Apr 24 08:50:23 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Service_Configurator/Misc/Timer_Service.h:
          Use ACE_STATIC_SVC_DECLARE_EXPORT instead of ACE_STATIC_SVC_DECLARE
          to export Timer_Service_1 from the DLL. This solves Kylix link
          problems.

Thu Apr 24 07:44:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Timer_Queue/TQTD.dsp:
        * examples/Timer_Queue/TQTDDLL.dsp:
          Removed TQTD.dsp and added TQTDDLL.dsp. Show in the name we build a
          dll. Also add Library to the name of the configuration so that the
          autobuild scripts builds this project first.

        * examples/Timer_Queue/Timer_Queue.dsw:
          Updated because of name change.

Wed Apr 23 18:19:07 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/iosfwd.h:

          Fixed another configuration where forward declarations would not
          exist (i.e. ACE_HAS_STANDARD_CPP_LIBRARY &&
          ACE_USES_OLD_IOSTREAMS).

Wed Apr 23 16:57:45 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Multihomed_INET_Addr.cpp: Added explicit template
          instantiations. This should fix big chunk of the problems in our
          daily builds.

Wed Apr 23 21:22:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please direct all immediate build issues to jcohen@atl.lmco.com
        if problems occur as a result of this check in.  Thank you.

        * tests/Makefile:
        * tests/Multihomed_INET_Addr_Test.dsp:
        * tests/SOCK_SEQPACK_Association_Test.dsp:
        * tests/tests.dsw:

        Added Multihomed_INET_Addr dsp and to dsw.
        Added SOCK_SEQPACK dsp and to dsw but not to test list.

Wed Apr 23 15:31:23 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ace/MEM_Acceptor.cpp: Removed the use of len_ptr variable in
          accept method as it is not needed it at all for MEM_Acceptor and
          the accept were trying to dereference the the null pointer when
          resolving the remote address.  Thanks to Subhabrata Biswas
          <Subhabrata.Biswas@roamware.com> for reporting the problem.

Wed Apr 23 16:10:07 2003  Irfan Pyarali  <irfan@oomworks.com>

        * ace/config-win32-msvc-6.h:

          VC 6 does not have support for member templates.  Therefore,
          added #define ACE_LACKS_MEMBER_TEMPLATES to the config file.

Wed Apr 23 13:54:27 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Parser.pm:

          Include '.' in the search path when looking for base projects and
          templates.

Wed Apr 23 12:54:09 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:

          Updated the template to allow cppflags and linkflags.

        * bin/MakeProjectCreator/templates/makedll.mpt:

          Added linkflags for the CC configuration.

Wed Apr 23 12:32:29 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/makedll.mpt:
        * bin/MakeProjectCreator/templates/makeexe.mpt:

          Increased the usability of the make type by adding different
          configurations for different compilers.

Wed Apr 23 09:40:26 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/DSRT_Schedulers.cpp:
        * Kokyu/DSRT_Schedulers.h:

          Added two new files while restructuring DSRT Scheduler classes.

        * Kokyu/DSRT_Dispatcher_Impl.cpp:
        * Kokyu/DSRT_Dispatcher_Impl.h:
        * Kokyu/Kokyu.cpp:
        * Kokyu/Kokyu.h:
        * Kokyu/tests/DSRT_MIF/Makefile:
        * Kokyu/Makefile:

          Restructured the DSRT related scheduler classes.

Wed Apr 23 06:30:04 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Corrected location build scoreboard, added Cygwin to the list of
          user community supported compilers and updated MinGW formattng

Tue Apr 22 19:37:14 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * ChangeLog:

          Removed some entries in this Changelog, which should have been
          added to the TAO ChangeLog. Thanks to Steve Huston for pointing
          this out.

Tue Apr 22 18:29:18 2003  Steve Huston  <shuston@riverace.com>

        * ace/ace.mpc: Moved ARGV.cpp and Argv_Type_Converter.cpp from the
          Utils section to the OS section. This is a follow-up to:
          Fri Mar 28 16:04:28 2003  Steve Huston  <shuston@riverace.com>

Tue Apr 22 17:25:09 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/config-win32-msvc-6.h:

          Added pragma disable for warning about long names (caused
          by template parameters).

Tue Apr 22 21:45:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please direct all immediate build issues to jcohen@atl.lmco.com
        if problems occur as a result of this check in.  Thank you.

        * tests/Makefile:
        * tests/run_test.lst:
        * tests/run_tests.bat:

        Reconnected Multihomed_INET_Addr_Test to Makefile and scripts.

Tue Apr 22 21:20:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please direct all immediate build issues to jcohen@atl.lmco.com
        if problems occur as a result of this check in.  Thank you.

        * performance-tests/SCTP/README:
        * performance-tests/SCTP/README.SCTP_in_ACE:
        * performance-tests/SCTP/run_spectrum.pl:
        * performance-tests/SCTP/SOCK_SEQPACK_wrapper_facade.jpg:

        Added jpg with class diagram.
        Augmented READMEs with additional clarifications.

        * performance-tests/SCTP/SCTP.dsw:

        Removed SCTP.dsw for time being -- will be adding dsw and dsp
        files as Windows conformability can be properly verified.

Tue Apr 22 13:49:42 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-sunos5.7.h:

          <sys/loadavg.h> only exists from SunOS 5.7 on.  So I added a new
          macro, ACE_HAS_SYS_LOADAVG_H, which is defined in this file.

Tue Apr 22 13:20:11 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Require multiple exclusion types to be comma separated.

Tue Apr 22 12:28:03 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/Kokyu.cpp:
        * Kokyu/Default_Dispatcher_Impl.cpp

          Fixed errors in MSVC++ builds. When ACE_HAS_STANDARD_CPP_LIBRARY
          is defined auto_ptr maps to the std::auto_ptr and std::auto_ptr
          in MSVC++ 6.0 does not have a reset method. Thanks to Simon
          McQueen for pointing this out.

Tue Apr 22 12:47:48 2003  Steve Huston  <shuston@riverace.com>

        * ace/Get_Opt.cpp (ctor): Add ACE_LIB_TEXT to naked string literal.

Tue Apr 22 09:16:29 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Changed the behavior when project names contain slashes or back
          slashes.  This is now an error due to the fact that GHS build
          files are put in subdirectories.

          Also, the ability to exclude files and directories based on
          project type was added to the WorkspaceCreator.

Tue Apr 22 07:10:14 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/ChangeLogEditor/ChangeLogEdit.pm:
        * bin/ChangeLogEditor/ChangeLogEntry.pm:
        * bin/ChangeLogEditor/FileLocator.pm:
        * bin/cle.pl:

          Allow the user to specify directories to be considered for the
          ChangeLog entry.

Tue Apr 22 12:43:17 2003  Simon McQueen  <sm@prismtechnologies.com>

        * tests/Proactor_Scatter_Gather_Test.cpp:
          Fixed build error on win32.

Tue Apr 22 07:30:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
          Added ACE_LACKS_TEMPNAM

        * ace/OS.i (tempnam):
          Removed VxWorks specific part but just expect that VxWorks
          also sets ACE_LACKS_TEMPNAM just like all other OS's do.

Tue Apr 22 06:41:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SStringfwd.h:
          Do the forward declaration of ACE_String_Base with CHAR instead
          of T. With Borland C++ the template parameter of the forward
          declaration must be exactly the same as with the real template
          parameter in the template definition. This fixes the strange Kylix
          errors.

Tue Apr 22 06:14:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32-common.h:
          Removed ACE_LACKS_TEMPNAM, cygwin supports tempnam. Thanks to
          Kobi Cohen-Arazi <kobi@mivzak.com> for reporting this.

Mon Apr 21 15:45:25 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/SOCK_SEQPACK_Acceptor.h:

          No need to include "ace/Time_Value.h".  Forward declare
          ACE_Time_Value instead.

Mon Apr 21 15:27:21 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Makefile.am (libACE_Sockets_la_SOURCES, HEADER_FILES):
          (INLINE_FILES):

          Added new SCTP related files to these variables.

Mon Apr 21 15:23:44 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/SSL/Makefile.in:

          Removed this generated file.  It shouldn't exist in the CVS
          repository.

Mon Apr 21 21:20:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please direct all immediate build issues to jcohen@atl.lmco.com
        if problems occur as a result of this check in.  Thank you.

        * ace/OS.h:

        Added #defines for SOCK_SEQPACK related objects.

        * ace/SOCK_Connector.cpp:
        * ace/SOCK_Connector.h:

        Added extra parameter to constructor and connector (with a
        default value) to enable selection of protocol.

        * ace/Makefile.ace:

        Added Multihomed_INET_Addr and SOCK_SEQPACK_* to ACE lib.

        * bin/PerlACE/Process_Unix.pm:
        * bin/PerlACE/Process_Win32.pm:

        emulholl@atl.lmco.com comments:
        I added a line to the Wait() method in the Process::Unix and
        Process::Win32 Perl classes in order to enforce what appeared
        to be an implied (although undocumented) invariant for the
        class: that the "running" variable should have the value 0
        whenever the process is not running.

        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/wrapper_macros.GNU:

        Added build option 'sctp' to enable SCTP support in ACE.
        Currently, the only SCTP implementation supported is from
        OpenSS7 on the Linux platform.  Specify 'sctp=openss7' to enable.

Mon Apr 21 12:16:20 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/em3vcpdll.mpt:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplib.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/nmakedll.mpt:
        * bin/MakeProjectCreator/templates/vc6dspdll.mpt:

          Removed the /Ob2 compiler options.  This has been known to cause
          problems.  /O2 provides /Ob1 which is sufficient.

Mon Apr 21 15:53:35 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/os_includes/*.h: Fixed Fuzz errors.

Mon Apr 21 09:14:09 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          If pch files are listed in header_files or source_files, then
          remove them from the listing.  It is important that they are not
          duplicated.

Mon Apr 21 04:51:09 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/generate_compile_stats.sh:

          More changes to html generation, added system info, tables
          to the detail section, last compile times, and %change.

        * ace/SStringfwd.h:
        * ace/SString.h:

          Moved typedef for ACE_TString to SStringfwd.h to go with
          ACE_CString and ACE_WString.

        * ace/Get_Opt.{h,cpp,i}:

          Include ace/SStringfwd.h instead of ace/SString.h in header,
          changed members variables to pointers, and uninlined optstring()
          to reduce inter header dependencies.

        * tests/Multicast_Test.cpp:

          Added #include "ace/SString.h".

Sun Apr 20 11:22:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Timer_Queue/Timer_Queue.dsw:
          Added missing dependencies between the projects.

Sat Apr 19 02:53:17 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/generate_compile_stats.sh:

          Fixed a problem with sorting, modified html and graph output
          to make it a little easier to read.

Fri Apr 18 13:35:51 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS.i:
        * ace/OS.cpp:

          Added an implementation of ACE_OS::thr_join() for VxWorks.

Fri Apr 18 12:24:02 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Driver.pm:

          Allow directories to be passed in as mpc and mwc files would be.

Fri Apr 18 12:02:31 2003  Steve Huston  <shuston@riverace.com>

        * ACEXML/common/URL_Addr.inl:
        * examples/Mem_Map/IO-tests/test_io.cpp:
        * examples/Reactor/Misc/test_demuxing.cpp:
        * performance-tests/Misc/preempt.cpp:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/workers.cpp:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/RT_CORBA_Workers.cpp:
        * performance-tests/Server_Concurrency/Leader_Follower/leader_follower.cpp:
        * performance-tests/Server_Concurrency/Leader_Follower/RT_CORBA_Leader_Follower.cpp:
          Add #include "ace/INET_Addr.h" and/or "ace/ACE.h" to pick up needed
          method declarations.

Fri Apr 18 06:54:35 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/nmake.mpd:

          Fine tune the clean target to avoid deleting things that do not
          belong to the project.

Fri Apr 18 11:02:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Timer_Queue/TQTD.dsp:
        * examples/Timer_Queue/Async_Timer_Queue_Test.dsp:
        * examples/Timer_Queue/Reactor_Timer_Queue_Test.dsp:
        * examples/Timer_Queue/Thread_Timer_Queue_Test.dsp:
        * examples/Timer_Queue/Timer_Queue.dsw:
          Added new TQTD project to build a dll that is used by the other
          project files. This matches the same structure as the GNU makefile
          does.

Thu Apr 17 16:48:23 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * acconfig.h:

          Removed this old autoheader template.  It is no longer used.

Thu Apr 17 19:33:29 2003  Steve Huston  <shuston@riverace.com>

        * ace/Get_Opt.cpp: Added #include "ace/ACE.h" to pick up ACE::gcd().

        * ace/Logging_Strategy.cpp: Added #include "ace/ACE.h" and
          "ace/Lib_Find.h" to pick up needed method declarations.

        * ace/Process.i:
        * ace/Process_Manager.cpp:Added #include "ace/ACE.h" to pick up
          ACE::terminate_process ().

        * ace/FILE_Addr.cpp: Added #include "ace/Lib_Find.h" to pick up
          ACE_Lib_Find::get_temp_dir ().

Thu Apr 17 16:37:05 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * m4/acinclude.m4 (ACE_CHECK_FUNC):

          Improved warning message to explicitly state which function
          failed detection.

Thu Apr 17 16:15:24 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * Merged "autotools" branch.  ChangeLog entries from that branch
          follow.

        Wed Mar 26 08:00:11 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac:

            Added check for the fgetwc() function.

          * m4/config_h.m4 (ACE_LACKS_FGETWC):

            Added autoheader template for this macro.

        Tue Mar 25 08:33:55 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac:

            Call the AC_PROG_EGREP macro to make sure the $EGREP shell
            variable is set.

        Tue Mar 25 08:22:03 2003  Ossama Othman  <ossama@uci.edu>

          * m4/ace.m4:
          * m4/compiler.m4:
          * m4/platform.m4:

            Applied Steve's change below to the remaining 'test -n/-z
            "$GXX"' instances.  Addresses some problems in non-GNU compiler
            builds.

            Replaced all instances "egrep" with the `configure' script
            defined "$EGREP".  This improves the `configure' script's
            portability.

        Fri Mar 21 23:17:26 2003  Steve Huston  <shuston@riverace.com>

          * configure.ac: Changed <test -n "$GXX"> to <test "$GXX" = yes> to
            work when GXX is set to no, not nul.

        Wed Mar 19 11:29:25 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac (ACE_HAS_POSIX_GETPWNAM_R):

            Only define this macro if the user hasn't disabled reentrant
            function support.

        Wed Mar 19 11:10:50 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac:

            If reentrant functions are enabled by the user and detected by
            the `configure' script, make sure "_REENTRANT" is added to the
            preprocessor flags.  [Bug 411]

            Added test for ACE_HAS_POSIX_GETPWNAM_R macro.  Fixes problems
            on Linux when threading is disabled.  [Bug 914]

            The restartable system calls test was re-enabled in earlier
            commits.  [Bug 275]

          * m4/compiler.m4 (OCXXFLAGS):

            Added missing HP-UX aCC compiler optimization flag.

          * m4/config_h.m4 (ACE_HAS_POSIX_GETPWNAM_R):

            Added autoheader template for this macro.

        Fri Mar 14 11:38:56 2003  Ossama Othman  <ossama@uci.edu>

          * tests/Dirent_Test.cpp (TEST_ENTRY):

            Changed name of file from "Dirent_Test.cpp" to "Makefile".  The
            latter is the only one guaranteed to exist in autoconf based
            VPATH builds.  Dirent_Test was failing since "Dirent_Test.cpp"
            did not exist in the current working directory so pick one that
            will always exist.

        Fri Mar 14 10:49:48 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac (bsearch, mktemp, qsort, rand_r):

            Temporarily select C as the test language when detecting these
            functions to work around a bug in some versions of Autoconf when
            C++ is selected as the test language.  This fixes problems where
            the following macros were incorrectly defined:

                ACE_LACKS_BSEARCH
                ACE_LACKS_MKTEMP
                ACE_LACKS_QSORT
                ACE_HAS_REENTRANT_FUNCTIONS

            The correct definition of the ACE_HAS_REENTRANT_FUNCTIONS macro
            should also correct problems exhibited by the ACE one-button
            tests on multi-CPU hosts.

            (ACE_LACKS_STRUCT_DIR):

            Added test that determines if this macro should be defined.

          * m4/config_h.m4 (ACE_HAS_SCANDIR, ACE_LACKS_STRUCT_DIR):

            Added templates for these preprocessor macros.

        Thu Mar 13 15:49:21 2003  Ossama Othman  <ossama@uci.edu>

          * bin/bootstrap:

            Fixed an error about a missing `ace/config.h.in' configuration
            header template file when running `automake'.  `Automake' should
            be invoked after `autoheader' to make sure the configuration
            header template files exist beforehand.  Thanks to Steve Huston
            <shuston@riverace.com> for reporting the error, and providing a
            means to reproduce it.

        Wed Mar 12 13:48:31 2003  Steve Huston  <shuston@riverace.com>

        * bin/bootstrap: Changed PAGER to be set using ${name:-value} instead
          of test -z; HP-UX /bin/sh complained if the PAGER env var wasn't set.

        Wed Feb 19 17:02:42 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac (AC_CONFIG_FILES):

            Added RMCast, QoS and SSL Makefiles to the list of files to be
            generated.

          * Makefile.am (ACLOCAL_AMFLAGS):

            Define this variable.  It contains options to be passed to
            `aclocal' whenever the generated Makefile invokes `aclocal'.
            Addresses failed automatic attempts at regenerating the
            `configure' script.

            (CONFIGURE_DEPENDENCIES):

            Define this variable to include all of the ACE-specific M4 files
            in the `m4' directory.  Those files will be included in the list
            of dependencies for the `configure' script.  Addresses failed
            automatic attempts at regenerating the `configure' script.

          * ace/Makefile.am (DIST_SUBDIRS):

            Added RMCast, QoS and SSL subdirectories to the list of
            directories to include in the ACE distribution.

            (SUBDIRS):

            Conditionally build the RMCast, QoS and SSL subdirectories.  The
            user may explicitly enable or disable them using the
            "--with-rmcast", "--with-qos" and "--with-ssl" configure script
            options, respectively.

            (libACE_la_SOURCES):

            Added $(libACE_Codecs_la_SOURCES) to the list of ACE library
            sources.  Fixes "unresolved symol" link-time errors when
            building the `Codecs_Test' one-button test.

          * ace/RMCast/Makefile.am:
          * ace/QoS/Makefile.am:
          * ace/SSL/Makefile.am:

            Added these Automake input files for the ACE_RMCast, ACE_QoS and
            ACE_SSL libraries, respectively.

          * m4/ace.m4 (ACE_CONFIGURATION_OPTIONS):

            Added "--with-rmcast", "--with-qos" and "--with-ssl"
            configuration options that allow the user to explicitly enable
            or disable the ACE_RMCast, ACE_QoS and ACE_SSL libraries,
            respectively.  The ACE_RMCast is enabled by default, while the
            ACE_QoS and ACE_SSL libraries are not.

          * tests/Makefile.am:

            Build CDR_Array_Test, Codecs_Test and Tokens_Test.

        Fri Feb 14 10:02:30 2003  Ossama Othman  <ossama@uci.edu>

          * Makefile.am (all-local):

            Create a link to the $(top_srcdir)/bin directory if one doesn't
            exist.  It is needed for the automated regression tests we run.

            (distclean-local):

            Added this Automake recognized target.  It will clean up the
            `bin' link and accompanying stamp file if they exist.

          * tests/Makefile.am (all-local):

            Create a stamp file to mark whether or not the scripts and data
            files are actually links to those in $(top_srcdir)/tests.

            (bin):

            Moved the rules in this target to all-local target in
            $(top_srcdir)/Makefile.am.  The link to the `bin' directory
            should be made in the top-level directory, not the `tests'
            directory.  This should address problems in running the
            automated regression tests.

            Removed this target.  It is longer needed.

            (distclean-local):

            Only delete the scripts and data files if the stamp file created
            by the all-local target exists.  Prevents those in the source
            directory from being erased once builds in the source directory
            are re-enabled.

        Tue Feb 11 14:27:08 2003  Ossama Othman  <ossama@uci.edu>

          * tests/Makefile.am (all-local):

            Added rules to generate links to the scripts and data files in
            the top-level `tests' source directory.  The Scoreboard requires
            that `run_test.pl' exists in the current working directory, and
            some tests require that their corresponding data files exist in
            that directory, too.  Thanks to Steve for pointing this out.

        Mon Feb 10 14:42:59 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac:

            Generate tests/Makefile.

            Updated and re-enabled XtReactor support.

          * Makefile.am:

            Added ACE one-button test directory to the sub-directory list.

          * tests/Makefile.am:

            Updated one-button test list.  It was missing some new tests.

        Wed Feb  5 13:50:09 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac:

            Added check for snprintf().

            Added check for mutex timeouts (e.g. pthread_mutex_timedlock()).

            Updated STL map and queue conflict tests to take into account
            the "std" namespace, if necessary.

            Updated "new() throws bad_alloc" test to take into account the
            "std" namespace, if necessary.

          * m4/config_h.m4 (ACE_HAS_SNPRINTF, ACE_HAS_MUTEX_TIMEOUTS):

            Added autoheader templates for these macros.

        Wed Feb  5 11:54:22 2003  Ossama Othman  <ossama@uci.edu>

          * Makefile.am:

            Neglected to commit this file in the previous commit.  Added
            `apps' directory to the list of subdirectories.

        Sat Feb  1 14:21:38 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac:

            Added gperf related Makefiles to the list of files to generate.

          * apps/Makefile.am:
          * apps/gperf/Makefile.am:
          * apps/gperf/src/Makefile.am:

            Updated for use with Automake 1.7.x or better.

          * m4/ace.m4 (ACE_CONFIGURATION_OPTIONS):

            Enabled ACE gperf support.

        Sat Feb  1 13:22:59 2003  Ossama Othman  <ossama@uci.edu>

          * bin/bootstrap:

            Removed workspace/release bootstrapping code.  Newer versions of
            automake obviate the need to make a distinction due to improved
            dependency tracking support.

        Sat Feb  1 13:14:08 2003  Ossama Othman  <ossama@uci.edu>

          * ace/Makefile.am (TEMPLATE_FILES):

            Added missing "Templates_Instantiations.cpp" file to this list.
            Fixes builds from a source tree created by "make dist".

        Sat Feb  1 12:44:52 2003  Ossama Othman  <ossama@uci.edu>

          * Makefile.am (EXTRA_DIST):

            Removed "BIBLIOGRAPHY" from this list since that file no longer
            exists.  "make dist" now works once again.

        Sat Feb  1 12:40:11 2003  Ossama Othman  <ossama@uci.edu>

          * ace/Makefile.am (libACE_Utils_la_SOURCES):

            Removed duplicate "Filecache.cpp" entry.  Fixes "multiple
            definition of symbol" errors at link-time.

        Sat Feb  1 12:24:11 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac:

            Do not define the _POSIX_THREADS and
            _POSIX_THREAD_SAFE_FUNCTIONS preprocessor macros.  They are
            feature test macros defined by the platform, and are not meant
            to be defined by anything other than the platform itself.

          * m4/config_h.m4 (ACE_PREP_CONFIG_HEADER):

            Fixed autoheader templates for the ACE_UINT64_TYPEDEF and
            _POSIX_PTHREAD_SEMANTICS macros so that they include a "#undef
            ..." in the template.  Without the "#undef" the value of the
            macro will not be substituted by `configure' script.  That led
            to build failures.  Those failures have been corrected by this
            fix.

            Removed autoheader templates for the _POSIX_THREADS and
            _POSIX_THREAD_SAFE_FUNCTIONS preprocessor macros.  They are
            feature test macros defined by the platform, and are not meant
            to be defined by anything other than the platform itself.

            Added descriptions for many preprocessor macros potentially
            defined/substituted by the `configure' script.

        Sat Feb  1 10:20:45 2003  Ossama Othman  <ossama@uci.edu>

          * Makefile.am:

            Updated list of files and directories to be distributed.
            Removed files that no longer from the list.

          * ace/Makefile.am:

            Updated header, inline, source and template file lists to
            include new files.

        Wed Jan 29 13:54:21 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac:

            Fixed autoconf warnings about AC_DEFINE being called in second
            argument of AC_CACHE_VAL.  The second argument should only set
            the value of cache ID variable.  No other side effects should
            occur.

        Tue Jan 28 14:57:50 2003  Ossama Othman  <ossama@uci.edu>

          * bin/bootstrap:

            Corrected invocation order `libtoolize' and `autoconf'.
            `libtoolize' should be run prior to `autoconf'.  Fixes an error
            concerning a missing `libtool' script.

        Fri Jan 17 20:21:41 2003  Steve Huston  <shuston@riverace.com>

          * ace/Makefile.am: Fix syntax errors for libACE_Sockets_la_SOURCES.

        Tue Jan  7 22:59:05 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac:

            Enable Libtool and Automake support.

          * bin/bootstrap:

            Call `libtoolize' to add libtool support files to the ACE
            distribution.

          * m4/config_h.m4:

            Added ACE_LACKS_ACE_CODECS macro template (for the sake of
            completeness).

          * m4/subsets.m4:

            Added support for "--enable-lib-codecs" configure script
            option.

        Wed Jan  1 10:28:27 2003  Ossama Othman  <ossama@uci.edu>

          * configure.ac:

            Ported old `configure.in' file to the latest Autoconf
            `configure.ac' syntax.

            Initialize Automake with the new AM_INIT_AUTOMAKE macro format.

          * bin/bootstrap:

            Updated `autoheader' invocation to latest command line format.

            Commented out documentation generation shell script code.  At
            this early stage in the new autotool effort, we need not deal
            with documentation generation.

            Commented out ACE workspace/release configuration shell script
            code.  It may be re-enabled in the future when it is clearer how
            releases will be performed.

          * m4/ace.m4:
          * m4/acinclude.m4:
          * m4/compiler.m4:
          * m4/features.m4:
          * m4/platform.m4:
          * m4/subsets.m4:
          * m4/threads.m4:

            Updated all macros to the latest Autoconf 2.57 syntax.

          * acconfig.h:
          * m4/config_h.m4:

            Replaced old `config.h' header template (acconfig.h) with the
            latest "AH_TEMPLATE" form of the configuration header template.

Thu Apr 17 17:07:36 2003  Irfan Pyarali  <irfan@cs.wustl.edu>

        * tests/Process_Mutex_Test.cpp: Reverted my change:

          Thu Apr 17 16:04:54 2003  Irfan Pyarali  <irfan@cs.wustl.edu>

          David Levine informed me that he had placed that sleep()
          purposely:

          Thu Jul 22 11:54:58 1999  David L. Levine  <levine@cs.wustl.edu>

          and said that:

          "I think the problem has to do with calling ::waitpid () before
          a fork'ed child has actually been created.  It's not enough for
          fork () to have returned to the parent.  This really shouldn't
          be a problem, but it sure looked like it was on that platform."

          I have still closed bug 91 since this is a exceptional case.

Thu Apr 17 16:04:54 2003  Irfan Pyarali  <irfan@cs.wustl.edu>

        * tests/Process_Mutex_Test.cpp: Removed call to sleep(). It was
          really not required.  This closes bug 91.

Thu Apr 17 19:26:24 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/os_include/aio.h:
        * ace/os_include/assert.h:
        * ace/os_include/complex.h:
        * ace/os_include/cpio.h:
        * ace/os_include/ctype.h:
        * ace/os_include/dirent.h:
        * ace/os_include/dlfcn.h:
        * ace/os_include/errno.h:
        * ace/os_include/fcntl.h:
        * ace/os_include/fenv.h:
        * ace/os_include/float.h:
        * ace/os_include/fmtmsg.h:
        * ace/os_include/fnmatch.h:
        * ace/os_include/ftw.h:
        * ace/os_include/glob.h:
        * ace/os_include/grp.h:
        * ace/os_include/iconv.h:
        * ace/os_include/inttypes.h:
        * ace/os_include/iso646.h:
        * ace/os_include/langinfo.h:
        * ace/os_include/libgen.h:
        * ace/os_include/limits.h:
        * ace/os_include/local.h:
        * ace/os_include/math.h:
        * ace/os_include/monetary.h:
        * ace/os_include/mqueue.h:
        * ace/os_include/ndbm.h:
        * ace/os_include/netdb.h:
        * ace/os_include/nl_types.h:
        * ace/os_include/poll.h:
        * ace/os_include/pthread.h:
        * ace/os_include/pwd.h:
        * ace/os_include/regex.h:
        * ace/os_include/sched.h:
        * ace/os_include/search.h:
        * ace/os_include/semaphore.h:
        * ace/os_include/setjmp.h:
        * ace/os_include/signal.h:
        * ace/os_include/spawn.h:
        * ace/os_include/stdarg.h:
        * ace/os_include/stdbool.h:
        * ace/os_include/stddef.h:
        * ace/os_include/stdint.h:
        * ace/os_include/stdio.h:
        * ace/os_include/stdlib.h:
        * ace/os_include/string.h:
        * ace/os_include/strings.h:
        * ace/os_include/stropts.h:
        * ace/os_include/syslog.h:
        * ace/os_include/tar.h:
        * ace/os_include/termios.h:
        * ace/os_include/tgmath.h:
        * ace/os_include/time.h:
        * ace/os_include/trace.h:
        * ace/os_include/ucontext.h:
        * ace/os_include/ulimit.h:
        * ace/os_include/unistd.h:
        * ace/os_include/utime.h:
        * ace/os_include/utmpx.h:
        * ace/os_include/wchar.h:
        * ace/os_include/wctype.h:
        * ace/os_include/wordexp.h:
        * ace/os_include/arpa/inet.h:
        * ace/os_include/net/if.h:
        * ace/os_include/netinet/in.h:
        * ace/os_include/netinet/tcp.h:
        * ace/os_include/sys/ipc.h:
        * ace/os_include/sys/mman.h:
        * ace/os_include/sys/msg.h:
        * ace/os_include/sys/resource.h:
        * ace/os_include/sys/select.h:
        * ace/os_include/sys/sem.h:
        * ace/os_include/sys/shm.h:
        * ace/os_include/sys/socket.h:
        * ace/os_include/sys/stat.h:
        * ace/os_include/sys/statvfs.h:
        * ace/os_include/sys/time.h:
        * ace/os_include/sys/timeb.h:
        * ace/os_include/sys/times.h:
        * ace/os_include/sys/types.h:
        * ace/os_include/sys/uio.h:
        * ace/os_include/sys/un.h:
        * ace/os_include/sys/utsname.h:
        * ace/os_include/sys/wait.h:

          Added new set of headers as part of the Subsetting effort.
          These headers will be slowly introduced throughout ACE and
          TAO.

Thu Apr 17 10:52:17 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/iosfwd.h:

          Added forward declarations of the iostream classes for the
          ACE_HAS_STANDARD_CPP_LIBRARY,
          !ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB, ACE_USES_OLD_IOSTREAMS
          and !ACE_HAS_MINIMUM_IOSTREAMH_INCLUSION case.  This case
          previously resulted in a basically empty header.

Thu Apr 17 11:45:51 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Driver.pm:

          Fixed a usage of undefined reference.

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/VC71ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC71WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC7ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC7WorkspaceCreator.pm:
        * bin/MakeProjectCreator/templates/vc7.mpd:
        * bin/mpc.pl:
        * bin/mwc.pl:

          Visual Studio .NET 7.1 is not 100% compatible with 7.0.  So in
          order to avoid requiring the user to generate projects for 7.0 and
          then converting them, a new type has been added that generates
          projects that are directly compatible with 7.1.

Thu Apr 17 15:32:42 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Configuration.h: Made NULL_String public instead of protected
          member variable.

Thu Apr 17 08:23:19 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Local_Name_Space.h (ACE_NS_String):
        * ace/Local_Name_Space.cpp (ACE_NS_String):
        * ace/Local_Name_Space_T.cpp (shared_rebind_i):
        * ace/Name_Request_Reply.h:
        * ace/Name_Request_Reply.cpp:
        * ace/Remote_Name_Space.cpp:
        * netsvcs/lib/Name_Handler.cpp:

          The underlying string is now an ACE_WCHAR_T instead of an
          ACE_USHORT16.  Not all platforms represent wide characters with
          16 bit unsigned integers.  Adjusted all members, return types
          and parameters accordingly.  This change was prompted by the
          consistency fixes made to ace/Basic_Types.h as detailed in the
          "Wed Apr 16 13:35:34 2003  Ossama Othman  <ossama@uci.edu>"
          ChangeLog entry.

          Use rep() instead of ushort_rep() when copying an
          ACE_NS_WString.  The latter only works for platforms with 16 bit
          wide characters.

        * ace/Name_Request_Reply.h:

          No need to include "ace/Time_Value.h" and "ace/SString.h".  The
          latter isn't need at all, and a forward declaration for
          ACE_Time_Value is sufficient.

        * ace/Name_Request_Reply.cpp:

          Include "ace/Time_Value.h" to pull in ACE_Time_Value class
          declaration.

Thu Apr 17 13:26:23 2003  Simon McQueen  <sm@prismtechnologies.com>

        * bin/MakeProjectCreator/configmessaging_only.mpb:
        * bin/MakeProjectCreator/rt_client.mpb:
        * bin/MakeProjectCreator/rt_server.mpb:

          Supplied missing libpaths.

        * performance-tests/SCTP/SOCK_SEQPACK_clt.dsp:
        * performance-tests/SCTP/SOCK_SEQPACK_srv.dsp:
        * performance-tests/SCTP/SOCK_STREAM_clt.dsp:
        * performance-tests/SCTP/SOCK_STREAM_srv.dsp:
        * tests/Multihomed_INET_Addr_Test.dsp:
        * tests/SOCK_SEQPACK_Association_Test.dsp:

          Removed these dsp's pending the resubmission of the SCTP support
          to prevent continual build errors.

Thu Apr 17 12:07:44 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Configuration.cpp (temp_name):

          Access a static member variable with the class name outside
          the class, not the this pointer.  Changed return value to const.

Thu Apr 17 07:05:50 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Escape the project name before using it within a regular
          expression.

        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/em3vcpdll.mpt:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplib.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:

          Default the stack setting and allow the user to override it on the
          command line:

          mpc.pl -type em3 -value_template stack=/stack:0x10000,0x1000

          Thanks to Steve Huston for bringing about this change.

Thu Apr 17 03:54:10 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/g++_metric.sh:

          Propagate return code and only output compile metrics
          on successful compilation.

        * bin/generate_compile_stats.sh:

          Improved html pages presentation.  Automatically scale
          graphs for better readibility, and sort detail section.

Wed Apr 16 13:35:34 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Basic_Types.h (ACE_WINT_T, ACE_WCHAR_T):
        * ace/CDR_Base.h (WChar):
        * ace/OS.h (WChar):

          Cleaned up redundant and inconsistent wide character related
          typedefs.  The ACE_OS::WChar and ACE_CDR::WChar types are now
          based on the ACE_WCHAR_T type defined in ace/Basic_Types.h
          rather than using a set of preprocessor conditionals to set
          them.  In particular, the preprocessor conditionals are now
          localized in ace/Basic_Types.h.  This reduces maintenance burden
          since a single location need be modified instead of multiple.

Wed Apr 16 19:27:29 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Get_Opt.{h,cpp}:

          Added default value for optstring in ctor so that apps can
          more easily only use the long option format without also
          having to provide a blank optstring.

          Added new method, last_option(), which returns the last option
          processed.  This allows applications to see the actual command
          line text of the last option that was found (or not found in
          the case of an error).  This is especially useful in cases where
          the option was invalid and the caller wants to print out the
          invalid value.  Resolves bug [1338].

          Enhanced dump() output.

        * tests/Get_Opt_Test.cpp:

          Modified test to utilize new method, last_option().

        * ace/Configuration.{h,cpp}:

          Added the ability to have a default, or unnamed, key.  This
          is done with the help of a new validate_value_name() method
          which deals with the differences between Windows and everything
          else.  Resolves bug [1374].

        * ace/Configuration_Import_Export.cpp (import_config):

          Changed to allow unnamed keys.

        * tests/Config_Test.cpp:

          Added test for unnanmed keys.

        * ace/Global_Macros.h:

          Modified ACE_BEGIN_DUMP macro to include a newline charater
          at the end so that dump() output is easier to parse.

Wed Apr 16 12:15:04 2003  Irfan Pyarali  <irfan@oomworks.com>

        * ace/OS:

          - thr_setprio(): Streamlined code to only call
          pthread_getschedparam() when <policy> is -1.

          - thr_getprio(): Added a new function so that the user can
          retrieve scheduling policy information in addition to the
          priority of a thread. This makes the thr_getprio() function
          consistent with the changes to thr_setprio().

        * ace/Thread: Made changes to the thr_setprio() and thr_getprio()
          functions to make them similar to the ACE_OS functions.

Wed Apr 16 11:34:49 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/auto_run_tests.pl: Fixed a typo.

Wed Apr 16 08:41:27 2003  Ossama Othman  <ossama@uci.edu>

        * ace/SString.h:

          Include "ace/OS.h" to pull in functions in the "ACE_OS" scope.

Wed Apr 16 09:07:26 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:

          Fixed a usage of undefined reference.

        * bin/MakeProjectCreator/templates/nmake.mpd:

          Make sure that idl gets processed before building the precompiled
          header module.

Wed Apr 16 00:10:37 2003  Ossama Othman  <ossama@uci.edu>

        * ace/CDR_Base.h:

          Isolated ACE_CDR::WChar typedef from the ACE_OS::WChar typedef.
          Reduces coupling between CDR_Base.h and OS.h.

          No need to include ace/OS.h.

          Cosmetic improvements.

        * ace/CDR_Base.cpp:

          Include ace/OS.h.  Necessitated by above change.

        * ace/CDR_Stream.h:

          Include ace/SStringfwd.h instead of ace/SString.h.  Forward
          declarations are enough.

        * ace/CDR_Stream.i:

          Use the ACE_OS_String scope instead of ACE_OS when calling
          string functions.  Allows removal of dependency on OS.h header.

        * ace/Global_Macros.h:

          Moved "ACE_THROW_SPEC" preprocessor macros from OS.h to this
          header.  Helps remove OS.h dependencies for some headers.

        * ace/INET_Addr.cpp (get_host_addr):

          Fixed VxWorks unused argument warnings.

        * ace/Message_Block.h:

          Changed all "u_long" typedefs to "unsigned long".  Allows
          removal of OS.h include.

          Include Default_Constants.h, Global_Macros.h, Time_Value.h and
          <stdlib.h>.

        * ace/Message_Block_T.h:

          Corrected file documentation.

        * ace/OS.h:

          Moved "ACE_THROW_SPEC" and pointer alignment related macros to
          smaller appropriate headers.

        * ace/OS_Memory.h:

          Moved pointer alignment related macros from OS.h to this
          header.  Helps reduce dependence on OS.h in some headers.

        * ace/SStringfwd.h:

          New file containing template forward declaration based
          ACE_{C,W}String typedefs.  Headers requiring these typedefs for
          forward declarations now need only include this header instead
          of SString.h.

        * ace/SString.h:

          Moved ACE_{C,W}String typedefs out of this header.  See above
          change.

        * ace/String_Base.h:

          Replaced ACE.h include with Global_Macros.h, OS_String.h and
          OS_Memory.h.

        * ace/String_Base.i (hash):
        * ace/String_Base.cpp (hash):

          Uninlined ACE_String_Base<>::hash method.  Allows removal of
          ACE.h include in String_Base.h.

        * ace/SSL/SSL_Asynch_Stream.cpp (do_SSL_read):

          Use of ACE_Message_Block::wr_ptr() when writing data from an
          ACE_Message_Block, not rd_ptr().

        * ace/SSL/SSL_SOCK_Stream.cpp (send, recv):

          Corrected problem in the vararg versions of these methods where
          "holes" in data read/written occurred in partial reads/writes.

        * ace/SSL/SSL_SOCK_Stream.i (send_i, recv_i):

          Improved "const" correctness.

Wed Apr 16 06:55:53 UTC UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/clients/Naming/Dump_Restore/Makefile:
        * netsvcs/clients/Naming/Dump_Restore/Makefile.main:
        * netsvcs/clients/Naming/Dump_Restore/Makefile.Dump_Restore:
          Split makefile into multiple ones, one for the shared library, one
          for the main. This fixes linker errors with Kylix3

Tue Apr 15 16:06:24 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/Log_Msg_NT_Event_Log.cpp (close): Make sure to check for
          this->evlog_handle_ != 0 before calling DeregisterEventSource().
          Thanks to Paxton Mason <PMason@wolve.com> for reporting this.

        * ace/Timer_Wheel_T.cpp: Removed the use of a namespace since
          this breaks certain compilers that don't support namespaces
          (e.g., GCC 2.7-97 on LynxOS and SunC++ with the compat4=1
          options).  Thanks to Olli Savia <ops@iki.fi> and
          Craig Watcham <craigw@ananzi.co.za> for reporting this problem.

        * ace/OS.h: Make sure that things don't go awry on platforms
          where clearerr is defined as a macro.  Thanks to Olli Savia
          <ops@iki.fi> for reporting this problem on LynxOS.

Tue Apr 15 17:53:29 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/parser/parser/Makefile:
          When building shared library set the ACEXML_PARSER_BUILD_DLL
          define. This fixes linker errors in the Kylix build.

Tue Apr 15 17:33:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * acconfig.h:
        * ace/Addr.{h,cpp}:
        * ace/README:
          Removed ACE_HAS_BROKEN_SAP_ANY. With the removal of this define
          from the MinGW config file it is not used anymore in ACE so we
          remove this one.

Tue Apr 15 09:47:22 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/Kokyu.cpp:
        * Kokyu/DSRT_Dispatcher_Impl.cpp:
        * Kokyu/tests/DSRT_MIF/MIF.cpp:
        * Kokyu/tests/DSRT_MIF/svc.conf:
        * Kokyu/tests/DSRT_MIF/svc.conf.xml:

          Service config related changes to Kokyu DSRT framework.

Tue Apr 15 11:24:59 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_borland.GNU:
          Use bcpp as TAO_IDL preprocessor.

Tue Apr 15 08:18:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-borland-common.h:
        * ace/config-win32-borland.h:
          Moved ACE_HAS_ITOA from config-borland-common to config-win32-
          borland. It is only needed on Windows and not on Linux where
          Kylix runs.

Tue Apr 15 07:30:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Timer_Queue/Makefile:
        * examples/Timer_Queue/Makefile.main:
        * examples/Timer_Queue/Makefile.TQTD:
          Splitted makefile in 2 files, one to build the shared library,
          one to build the main.

        * examples/Timer_Queue/Async_Timer_Queue_Test.h:
        * examples/Timer_Queue/Reactor_Timer_Queue_Test.h:
        * examples/Timer_Queue/Thread_Timer_Queue_Test.h:
          Use ACE_Svc_Export to export the driver classes from the shared
          library. This fixes the Kylix link errors.

Tue Apr 15 06:12:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_borland.GNU:
          Corrected libraries to link with.

Mon Apr 14 22:37:34 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/Kokyu.cpp:
        * Kokyu/DSRT_Dispatcher_Impl.cpp:
        * Kokyu/DSRT_Dispatcher_Impl.h:

          Made the dispatcher a service object so that the scheduler type
          can be passed as a parameter in svc.conf.

Mon Apr 14 15:19:38 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/tests/DSRT_MIF:
        * Kokyu/tests/DSRT_MIF/MIF.cpp:
        * Kokyu/tests/DSRT_MIF/Makefile:

          New test added for testing MIF schedule using Kokyu.

Mon Apr 14 18:35:23 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/generate_compile_stats.sh:

          Improved the html presentation by:

           - dividing ACE and TAO into two seperate pages.
           - stripping off version numbers from libraries.
           - stripping off the path from dependent objects (was
             redundant and made it hard to read).
           - sorting dependent object lists.
           - stripping off the TAO/ part of the path for TAO object
             since this was also redundant.
           - always listing dependent objects even if there was only
             one.

          Thanks to Bala for his suggestions.

Mon Apr 14 18:28:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/rules.lib.GNU:
          Only pass LDFLAGS once to the linker of Kylix

        * include/makeinclude/platform_linux_borland.GNU:
          Pass BORLDFLAGS to the SOFLAGS and removed setting of SOLINK.cc.
          With -L the location of shared objects to link with can be set,
          but this -L should be only specified once, and the paths should
          then be divided by :.

Mon Apr 14 12:56:07 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/DSRT_Dispatcher_Impl.h:
        * Kokyu/DSRT_Dispatcher_Impl.cpp:
        * Kokyu/DSRT_Dispatcher_Impl.i:

          Added new files for Dynamic scheduling support.

Mon Apr 14 17:28:56 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32-common.h:
          Removed commented out define ACE_HAS_BROKEN_SAP_ANY

        * ace/config-win32-mingw.h:
          Don't define ACE_HAS_BROKEN_SAP_ANY. It gives compile errors in the
          Gateway app.

Mon Apr 14 17:09:03 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks5.x_diab.GNU:
        * include/makeinclude/platform_vxworks5.x_g++.GNU:
        * include/makeinclude/platform_vxworks5.x_ghs.GNU:
          Changed the default of rtti to 1 because it is now needed to build
          TAO. In the config.h file it can be overruled to 0 again for the
          persons that want rtti disabled, but then they can't build TAO.

Mon Apr 14 08:43:31 2003  Chad Elliott  <elliott_c@ociweb.com>

        * apps/mkcsregdb/mkcsregdb.mpc:

          Added an mpc file for this project.

Mon Apr 14 07:05:06 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a usage of undefined reference.

        * bin/mpc.pl:
        * bin/mwc.pl:

          Added a -w to the command line to get the warnings.

Mon Apr 14 10:55:48 2003  Simon McQueen  <sm@prismtechnologies.com>

        * bin/msvc_auto_compile.pl: Amended the -TAO target so that
        TAO/orbsvcs/test/Notify/lib is the first library built. Fixes
        build error in TAO_RT_NotifyTests.dsp which depends on it.

Mon Apr 14 10:14:54 2003  Simon McQueen  <sm@prismtechnologies.com>

        * bin/MakeProjectCreator/config/namingexe.mpb:
        * bin/MakeProjectCreator/config/server.mpb:
          Added missing libpath entries.

Sun Apr 13 23:00:43 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/generate_compile_stats.sh:

          Modified script to pull date directly from build log,
          only harvest build time for individual objects, dynamically
          rollup objects into composite objects--libs or executables--
          based on link steps in build log, and dynamically generate
          html pages for composite objects.

Fri Apr 11 18:05:00 2003  Roy Pollock  <rpollock@ghs.com>

        * ace/config-integritySCA.h
        * tests/ACE.bsp
        * tests/INTEGRITY.ld

          Add configuration and build files for INTEGRITY 4.0.9+SCA

        * ace/Default_Constants.h
        * ace/Log_Msg.h
        * ace/Mem_Map.cpp
        * ace/OS.cpp
        * ace/OS.h
        * ace/SOCK_Dgram_Mcast.i

          Add defined(INTEGRITY) cases

        * ace/OS.i

          Cast the ACE_NOTSUP_RETURN of umask to mode_t
          Add defined(INTEGRITY) cases

        * ace/POSIX_Asynch_IO.h

          Add two header includes under defined(INTEGRITY).  I'm not sure
          why these aren't needed on other platforms.

        * ace/SString.cpp
        * ace/RMCast/RMCast_Reassembly.cpp
        * ace/RMCast/RMCast_Retransmission.cpp
        * tests/Token_Strategy_Test.cpp

          Fix #pragma instatiate cases to have correct syntax and match
          the explicit template instantiation case.

Fri Apr 11 13:37:34 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Driver.pm:

          Insert the starting directory into the include path by default.

Fri Apr 11 13:09:36 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/acedefaults.mpb:

          Avoid duplicate default lib values by assigning instead of adding.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          If there's only one resource file, take it even if it doesn't
          match the project name.

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Make fornotlast, forlast, fornotfirst and forfirst abide by if
          statements.

        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:

          Fixed a bug with idlgendir.  The idl generated files were not
          going where they were supposed to if idlgendir didn't equal ".".

Fri Apr 11 16:18:08 2003  Simon McQueen  <sm@prismtechnologies.com>

         * ace/Makefile.ace:
         * ace/OS.h:
         * ace/SOCK_Connector.cpp:
         * ace/SOCK_Connector.h:
         * ace/SOCK_SEQPACK_Acceptor.h:
         * ace/ace_dll.dsp:
         * ace/RMCast/Makefile:
         * bin/PerlACE/Process_Unix.pm:
         * bin/PerlACE/Process_Win32.pm:
         * include/makeinclude/platform_linux.GNU:
         * include/makeinclude/wrapper_macros.GNU:
         * performance-tests/Makefile:
         * tests/Makefile:
         * tests/run_test.lst:
         * tests/run_tests.bat:
         * tests/RMCast/Makefile:

           Reverted changes to above files to pre ChangeLogTag:
           Thu Apr 10 15:35:00 2003  Gautam Thaker  <gthaker@atl.lmco.com>

Fri Apr 11 06:37:08 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          For assignments within components, we need to get the outer scope
          value before adding or subtracting.

Fri Apr 11 11:23:22 2003  Simon McQueen  <sm@prismtechnologies.com>

        * ace/ace_dll.dsp: Replaced missing files to fix build error in
        TAO.

Fri Apr 11 05:56:12 UTC 2003  Johnny Willemsen   <jwillemsen@remedy.nl>

        * apps/drwho/Makefile:
          Fixed error in cygwin specific part.

Fri Apr 11 02:35:07 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * bin/g++_metric.sh:
        * bin/generate_compile_stats.sh:

          Added new files for gathering and processing compile-
          time statistics.

Thu Apr 10 14:14:17 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Allow assignments that are specific to a particular project type.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Fixed a bug in the template where 'libs' is not used but
          'lit_libs' is.  The 'lit_libs' wouldn't show up.

Thu Apr 10 15:35:00 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        * ace/Makefile.ace ace/OS.h ace/SOCK_Connector.cpp:
        * ace/SOCK_Connector.h ace/SOCK_SEQPACK_Acceptor.h:
        * ace/ace_dll.dsp ace/RMCast/Makefile:
        * performance-tests/Makefile tests/Makefile:
        * tests/run_test.lst tests/run_tests.bat:
        * tests/RMCast/Makefile bin/PerlACE/Process_Unix.pm:
        * bin/PerlACE/Process_Win32.pm:
        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/wrapper_macros.GNU:

          Above files modified.

        * ace/Multihomed_INET_Addr.cpp ace/Multihomed_INET_Addr.h:
        * ace/Multihomed_INET_Addr.i ace/SOCK_SEQPACK_Acceptor.cpp:
        * ace/SOCK_SEQPACK_Acceptor.i ace/SOCK_SEQPACK_Association.cpp:
        * ace/SOCK_SEQPACK_Association.h:
        * ace/SOCK_SEQPACK_Association.i:
        * ace/SOCK_SEQPACK_Connector.cpp ace/SOCK_SEQPACK_Connector.h:
        * ace/SOCK_SEQPACK_Connector.i performance-tests/SCTP/Makefile:
        * performance-tests/SCTP/Options_Manager.cpp:
        * performance-tests/SCTP/Options_Manager.h:
        * performance-tests/SCTP/README:
        * performance-tests/SCTP/README.SCTP:
        * performance-tests/SCTP/README.SCTP_PERF_TEST:
        * performance-tests/SCTP/README.SCTP_in_ACE:
        * performance-tests/SCTP/SCTP.dsw:
        * performance-tests/SCTP/SOCK_SEQPACK_clt.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_clt.dsp:
        * performance-tests/SCTP/SOCK_SEQPACK_srv.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_srv.dsp:
        * performance-tests/SCTP/SOCK_STREAM_clt.cpp:
        * performance-tests/SCTP/SOCK_STREAM_clt.dsp:
        * performance-tests/SCTP/SOCK_STREAM_srv.cpp:
        * performance-tests/SCTP/SOCK_STREAM_srv.dsp:
        * performance-tests/SCTP/THANKS:
        * performance-tests/SCTP/hist.cpp:
        * performance-tests/SCTP/hist.h:
        * performance-tests/SCTP/run_spectrum.config:
        * performance-tests/SCTP/run_spectrum.pl:
        * performance-tests/SCTP/sample-spectrum.png:
        * tests/Multihomed_INET_Addr_Test.cpp:
        * tests/Multihomed_INET_Addr_Test.dsp:
        * tests/SOCK_SEQPACK_Association_Test.cpp:
        * tests/SOCK_SEQPACK_Association_Test.dsp:

          Above files added.

          Jason Cohen <jcohen@atl.lmco.com>:
          First SCTP checkin for ACE.  The major contrib of this
          checkin include the SOCK_SEQPACK classes, Multihomed_INET_Addr,
          SCTP performance tests, and READMEs.

Thu Apr 10 09:41:13 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Forgot to change the usage of GNUProjectCreator to
          GNUACEProjectCreator.

Thu Apr 10 06:52:41 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:
        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:
        * bin/mpc.pl:
        * bin/mwc.pl:

          Renamed GNU to GNUACE to indicate that the projects will only work
          within ACE.

        * bin/MakeProjectCreator/modules/GNUProjectCreator.pm:
        * bin/MakeProjectCreator/modules/GNUWorkspaceCreator.pm:

          Removed these files in the rename.

Thu Apr 10 13:02:42 CEST 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * tests/tests.{dsw,icp}: Added Unbounded_Set_Test_Ex.

        * tests/Unbounded_Set_Test_Ex.{dsp,icc}: New.

        Please bear with me, these changes were made "blindly", i.e.
        I don't have access to those build environments.

Thu Apr 10 09:51:59 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/wrapper_macros.GNU:
          Improved Kylix specific rules. For Kylix we strip the -l in from
          ACE_SHLIBS and prefix it with lib and postfix with .so.

Thu Apr 10 08:12:22 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_borland.GNU:
          Improved this file for Kylix support.

Thu Apr 10 07:47:12 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/System_V_IPC/SV_Shared_Memory/SV_Shared_Memory_Test.cpp:
          Fixed compile error with GNU.

Wed Apr  9 14:10:42 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/MakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/templates/make.mpd:

          Added an install target and fixed a bug with nested makefiles.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Fixed a bug with 'requires' and 'avoids' when building libraries.

Wed Apr  9 13:39:20 2003  Stuart Jones  <jones_s@ociweb.com>

        * ace/DLL_Manager.cpp:

          Added check for NULL pointer in close method. The instance
          method for the ACE_Framework_Repository class can return
          NULL if the Object Manager is starting up, or shutting down
          and the singleton hadn't been created. This was causing a
          SEGV in a later pthread_mutex_lock (DOC Bug# 1479)

Wed Apr  9 17:11:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl

        List of changed gathered the last weeks by Mark Drijver
        <mdrijver@remedy.nl> and me. Improves VxWorks 5.5, MingW, Cygwin
        and Kylix support.

        * ACE-INSTALL.html:
          Updated for VxWorks 5.5 and documented how to use BCB with SSL.

        * Makefile.bor:
          Removed build variable nightlybuild because we don't need it
          anymore.

        * ace/Based_Pointer_Repository.cpp:
        * ace/Dynamic.cpp:
          For VxWorks also explicit instantiate static template member. This
          fixes unresolved externals when using implicit templates.

        * ace/Event_Handler_T.i (get_handle ):
          In case of an error, return ACE_INVALID_HANDLE and not -1 because
          -1 causes problems with MingW and is not portable.

        * ace/Log_Msg_NT_Event_Log.cpp:
        * ace/Log_Msg_NT_Event_Log.h:
        * ace/README:
        * ace/config-doxygen.h:
        * ace/config-win32-common.h:
          For the WinNT event log backend added a new define called
          ACE_HAS_LOG_MSG_NT_EVENT_LOG. This is set in the doxygen file to
          generate documentation for it. This makes it possible to generate
          the documentation and to better specify to use the WinNT event log
          backend or not.

        * ace/Date_Time.{h,i}:
          Added a constructor to initialize an ACE_Date_Time with an
          ACE_Time_Value.

        * ace/Module.h:
          Improved doxygen documentation.

        * ace/config-win32-mingw.h:
          Require win32api version 2.0 or later and removed Win32 API
          definitions because older versions of win32api lacked these.

        * apps/drwho/Makefile:
          Don't build drwho with MingW and Cygwin.

        * examples/Reactor/Misc/test_event_handler_t.cpp (signal_handler):
          Signum should be an int instead of an ACE_HANDLE.

        * examples/Reactor/Ntalker/ntalker.cpp:
          Changed argument interface to a_interface because interface is a
          macro with MinGW.

        * examples/System_V_IPC/SV_Message_Queues/MQ_Client.cpp:
        * examples/System_V_IPC/SV_Message_Queues/MQ_Server.cpp:
        * examples/System_V_IPC/SV_Message_Queues/TMQ_Server.cpp:
        * examples/System_V_IPC/SV_Shared_Memory/SV_Shared_Memory_Test.cpp:
          Modified code so that when SystemV IPC isn't supported this is
          printed, else the code is build normally. Fixes Cygwin and MinGW
          compile problems.

        * include/makeinclude/platform_cygwin32.GNU:
        * include/makeinclude/platform_mingw32.GNU:
          Disable auto import warnings. There is a bug in the MinGW/Cygwin
          compiler and until that is fixed the warnings are wrong so we
          disable. See these files for the link to the MinGW bugentry.

        * include/makeinclude/platform_g++_common.GNU:
          Make sure that unrecognized compiler options are not set with
          VxWorks 5.5. Fixes bugzilla entry [1452]. Thanks to Thomas Lockhart
          <Thomas.Lockhart@jpl.nasa.gov> for reporting this and sending the
          fix.

        * include/makeinclude/platform_linux_borland.GNU:
          Improved this file so that we better support the Kylix3 compiler. We
          don't support it 100% but we can now build the ACE tests without
          problems. Several also run but also several still have problems.

        * include/makeinclude/platform_sunos5_ghs.GNU:
        * include/makeinclude/platform_sunos5_kcc.GNU:
          Use explicit without double quotes to match other files.

        * include/makeinclude/platform_vxworks5.x_diab.GNU:
          Set VSHDIR to $(VDIR) to make it possible to override it.

        * include/makeinclude/platform_vxworks5.x_g++.GNU:
          Set VSHDIR to $(VDIR) to make it possible to override it. Moved
          include of platform_g++_common.GNU after the place where CXX is set
          to resolve compiler problems. Also use explicit with double quotes
          to match the other files, the result is that explicit template
          instantiation is again the default to use.

        * include/makeinclude/rules.bin.GNU:
        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Improved and extended Kylix specific rules. For Kylix we strip the
          -l in from of each shared library passed to the linker and prefix
          with lib and postfix with .so.

        * tests/Time_Value_Test.cpp:
          Test assignment operator of ACE_Time_Value.

Wed Apr  9 15:51:32 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * ace/Malloc_Allocator.{i,cpp}:

          Uninlined ACE_New_Allocator::{malloc, calloc, free} () to
          avoid the multiple heap problem on systems like Windows.
          Thanks to Gonzalo Diethelm <gonzalo.diethelm@aditiva.com>
          for reporting the problem.  This fixes bug [1464].

Wed Apr 09 17:04:01 2003  Simon McQueen  <sm@prismtechnologies.com>

        * apps/mkcsregdb/mkcsregdb.dsp: Added missing library in release
        configuration.

Wed Apr  9 08:22:56 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/default.rel:
        * bin/MakeProjectCreator/config/taoexe.mpb:
        * bin/MakeProjectCreator/config/taolib.mpb:
        * bin/MakeProjectCreator/config/vcfullmacros.mpt:
        * bin/MakeProjectCreator/config/vcpartialmacros.mpt:
        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/GNUProjectCreator.pm:
        * bin/MakeProjectCreator/modules/Parser.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateInputReader.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:
        * bin/MakeProjectCreator/templates/em3vcpdll.mpt:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplib.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:
        * bin/MakeProjectCreator/templates/nmakedll.mpt:
        * bin/MakeProjectCreator/templates/nmakeexe.mpt:
        * bin/MakeProjectCreator/templates/va4icc.mpd:
        * bin/MakeProjectCreator/templates/vc6dspdll.mpt:
        * bin/MakeProjectCreator/templates/vc6dspdllexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplib.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplibexe.mpt:
        * bin/MakeProjectCreator/templates/vc7dll.mpt:
        * bin/MakeProjectCreator/templates/vc7exe.mpt:

          Removed as much hard coded ACE and TAO related text and put it in
          configuration files.

Tue Apr  8 15:03:51 2003  Steve Huston  <shuston@riverace.com>

        * tests/tests.mpc: Added Unbounded_Set_Test_Ex.

Tue Apr  8 13:29:05 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:

          Take into account the possibility of using 'defaultlibs' or
          'lit_libs' without using 'libs'.

Tue Apr  8 13:12:25 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Min_Max.h: #included config-all.h. This is needed for the
          header file to be used succesfully. This fixes [BUG 1485  and
          thanks to Paul Marquis <pmarquis@pobox.com> for reporting this
          problem.

Tue Apr 08 17:01:02 2003  Simon McQueen  <sm@prismtechnologies.com>

        * apps/mkcsregdb/mkcsregdb.dsp: Changed 'Use run time library'
          setting to fix error in Release configuration.

Tue Apr  8 06:50:38 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/vc7.mpd:

          Removed the ProgramDataBaseFileName section.  It seems to cause
          build problems.

Mon Apr  7 16:58:55 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Select_Reactor_Base.cpp (unbind): Fixed a subtle problem
          during complete shutdown of the event handler.

          Problem: During the unbind () call we call handle_close () after
          which we nullify the event handlers without much checks. This
          dangerous if the application during the callback,
          ie. handle_close () call registers a new handler with the
          reactor. It is quite possible that the map is changed during
          registration.

          Solution: We check whether the event handler's pointer in the
          map and the one that was cached before calling handle_close ()
          are the same.

          Thanks to Kobi Cohen-Arazi" <kobi@mivzak.com> for reporting the
          problem.

Mon Apr  7 17:04:20 2003  Steve Huston  <shuston@riverace.com>

        * tests/Unbounded_Set_Test_Ex.cpp: Moved the definition of MyNode
          to its own file, Unbounded_Set_Test_Ex.h to allow the
          ever-cooperative AIX Visual Age C++ compiler to find the definition
          when instantiating templates. Also changed the name of the
          recorded log file to match the test name so the autobuild
          log analysis can find it.

        * tests/run_test.lst: Added Unbounded_Set_Test_Ex.

Mon Apr  7 12:27:25 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          If HASH and SCALAR values are mixed in a template foreach, then
          remove the SCALAR values.

        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Try to make these templates less TAO focused.

        * bin/MakeProjectCreator/templates/em3vcpdll.mpt:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplib.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:
        * bin/MakeProjectCreator/templates/nmakedll.mpt:
        * bin/MakeProjectCreator/templates/nmakeexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc6dspdll.mpt:
        * bin/MakeProjectCreator/templates/vc6dspdllexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplib.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplibexe.mpt:
        * bin/MakeProjectCreator/templates/vc7dll.mpt:
        * bin/MakeProjectCreator/templates/vc7exe.mpt:

          Began adding support for MFC projects.

Sat Apr  5 11:23:11 2003  John Michael Zorko <j.zorko@att.net>

        * include/makeinclude/platform_macosx.GNU (CXX): Mac OSX currently
          uses 64 bits for long doubles, and Apple's gcc3.1 compiler
          outputs a warning if long doubles are used (since they might
          change to 96 or 128 bits in the future).  In the meantime, the
          following patch (also attached) turns off the warning.

Fri Apr  4 10:49:29 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/StringProcessor.pm:

          Treat single quotes as special characters when creating arrays.
          They now work similarly to double quotes.

Fri Apr  4 09:22:25 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Allow mwc files to have scoped assignments that will only apply to
          the mpc files within that scope.

Thu Apr 03 17:20:32 2003  Pradeep Gore  <pradeep@oomworks.com>

        * bin/MakeProjectCreator/config/notifytest.mpb:
          Changed target to TAO_NotifyTests.
        * bin/tao_other_tests.lst:
          Added TAO/orbsvcs/tests/Notify/Lanes/run_test.pl and
          TAO/orbsvcs/tests/Notify/ThreadPool/run_test.pl
          or RT_Notification.

Thu Apr  3 11:24:35 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst: Added a new test for the daily builds.

Thu Apr  3 08:20:12 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Kokyu/Default_Dispatcher_Impl.h: Fixed doxygen fuzz error

Wed Apr  2 12:44:58 2003  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/platform_hpux_aCC.GNU:
        * include/makeinclude/rules.lib.GNU:

          Added an AREXTRA macro that allows the user to add arbitrary text
          at the end of the ar command.  HP-UX aCC defines AR in a way that
          causes build errors.  AREXTRA is used to fix this build problem
          and doesn't affect any other platform.

Wed Apr  2 10:17:59 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:

          Factored the dynamic and static accessors into this class from
          WorkspaceCreator.pm.

        * bin/MakeProjectCreator/modules/Options.pm:

          Added a utility function which can be used to determine if an
          option has been used.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Use the factored dynamic and static accessors.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added the functionality to track which projects have been
          generated.  If multiple workspaces with overlapping projects are
          processed within the same process, it is able to skip the
          re-generation of the overlapping projects.  Also added the ability
          to use "mwb" files as base project files.

Wed Apr  2 08:49:51 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Allow libraries to be built only if "requires" and "avoids" are
          met.

Wed Apr  2 11:51:52 CEST 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * tests/Unbounded_Set_Test.cpp, tests/Unbounded_Set_Test_Ex.cpp:

          Zap extraneous trailing semicolons on #pragma instantiates.

Wed Apr  2 11:44:41 CEST 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * tests/Unbounded_Set_Test.cpp, tests/Unbounded_Set_Test_Ex.cpp:

          Add explicit template instantiations.

Tue Apr  1 17:02:37 2003  Steve Huston  <shuston@riverace.com>

        * tests/Process_Strategy_Test.cpp: Nul-terminate received command
          string to ACE_TEXT_CHAR_TO_TCHAR can deal with it; this is needed
          to properly log the string in wide-char builds.

Tue Apr  1 15:52:41 2003  Steve Huston  <shuston@riverace.com>

        * tests/Multicast_Test.cpp: If the platform doesn't support IP
          multicast, log an info message, not an error.

Tue Apr  1 10:06:57 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Driver.pm:

          Fixed a bug with multiple types and an mpc file specified with
          a directory.  The original file name was not being preserved.

Tue Apr  1 16:02:30 CEST 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * ace/Makefile.{am,bor}: Added Unbounded_Set_Ex.

Tue Apr  1 13:42:37 CEST 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * tests/Unbounded_Set_Test_Ex.cpp: New.

          This is a replica of Unbounded_Set_Test.cpp but uses the new
          ACE_Unbounded_Set_Ex class instead of ACE_Unbounded_Set.
          This is for side-by-side comparisons between the two tests.

        * tests/Makefile: Added Unbounded_Set_Test_Ex, updated dependencies.

        * tests/Makefile.{am,bor}: Added Unbounded_Set_Test_Ex.

Tue Apr  1 12:48:33 CEST 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * ace/Node.{h,cpp}:

          Added back the deleted_ member.
          This sets the stage for the new Ace_Unbounded_Set_Ex class.

        * ace/Unbounded_Set_Ex.{h,inl,cpp}: New.

          This class is a variation on ACE_Unbounded_Set that fixes
          Bugzilla bug 1460.

        * ace/Makefile.ace: Add Unbounded_Set_Ex.

Mon Mar 31 14:04:22 2003  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/CDR_Stream.cpp:
        * ace/CDR_Stream.h (ACE_OutputCDR): Provide an accessor method,
          ACE_OutputCDR::wchar_maxbytes() for getting the stream size for
          wide characters when no translator is involved.

          There was a problem reading wstrings when the maxbytes is less
          than the size of a wchar_t. When the maxbytes value was 1, I was
          using a static cast from a char to a wchar, which caused sign
          propogation. Changing to assignment from an octet solved that.

        * ace/Codeset_Registry_db.cpp: Added entries for common 2 byte and
          4 byte wchar codesets, UTF-16 and UCS-4.

        * ace/Codeset_Registry.cpp:
        * ace/Codeset_Registry.h:
        * ace/Codeset_Registry.inl: Retyped validation methods to return
          int rather than CORBA::Boolean as a result code.

Mon Mar 31 14:03:35 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added an 'implicit' assignment to the workspace that will cause
          the workspace creator to generate projects in directories where
          there are no mpc files.  If no valid project can be made, then
          that directory is ignored.

Mon Mar 31 12:32:32 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * bin/tao_orb_tests.lst: Added the new collocation tests to the
          daily builds.

Mon Mar 31 08:44:16 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug in the project creator dealing with precompiled header
          files.  If the pch_header or pch_source is set to "" then we need
          to be sure that pch information is not put in the generated
          project file.

Mon Mar 31 08:19:16 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Fixed a bug in the Microsoft related template files where the
          installed executable would not be put in the install directory.
          It was previously placed in a subdirectory of the install
          directory.

Mon Mar 31 15:51:54 CEST 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * tests/Unbounded_Set_Test.cpp:

          Verify that a set may be emptied while an iterator on the set is
          in-scope but inactive.

          Changed the "Selective deletion of elements" step not to summon
          bug 1460.

Mon Mar 31 14:13:31 2003  Simon McQueen  <sm@prismtechnologies.com>

        * apps/mkcsregdb/mkcsregdb.dsp: Added release configuration custom build step.

Sun Mar 30 21:46:54 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * bin/topinfo_iorsize_stats.sh: Added data collection points for
          optimized cases.

Sun Mar 30 09:12:16 2003  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Connector.cpp (handle_timeout): Restructured the code so that
          if the call to sh->handle_close() deletes the handlers, which in
          turn deletes the connector, the decr_ast_refcount() call won't
          cause a crash.  Thanks to Tomer Amiaz <Tomer@bandwiz.com> for
          reporting this bug and supplying a fix.

Sat Mar 29 16:34:56 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * THANKS: Added Bertin Colpron to the hall of fame.

Fri Mar 28 16:04:28 2003  Steve Huston  <shuston@riverace.com>

        * ace/OS.{h,i,cpp} (string_to_argv): Use ACE_LIB_TEXT around characters
          to make them compare correctly when ACE_USES_WCHAR. Fixes this
          method for use with CE. Obviates the need for ACE_CE_ARGV, which
          is now gone. Users of ACE_CE_ARGV should use ACE_ARGV, which does
          the same thing as ACE_CE_ARGV.
          Also added /**/ to #include <sys/mman.h> to prevent warnings from
          Visual C++.

        * ace/config-win32-common.h: Corrected the Winsock 2, WinCE checks to
          check for UNDER_CE >= 400, not == 4.

        * ace/Makefile.ace:
        * docs/ACE-subsets.html: Moved ARGV and Argv_Type_Converter from UTILS
          to OS; getting command lines correct is needed for basic OS function.

        * bin/PerlACE/Process_Win32.pm: Move the pocketcontroller-required
          sleep from after each test to before it. This accounts for the
          need to sleep after copying the initial DLLs and test files down
          before beginning the test runs. The copying does a reset, requiring
          some delay before attempting the first test.

Fri Mar 28 10:18:48 2003  Steve Huston  <shuston@riverace.com>

        * bin/PerlACE/Process_Win32.pm: For WinCE, when generating the
          Pocket Controller script, put a 60-second sleep between running the
          test and grabbing the log file. The script doesn't wait for the
          program to exit before continuing. Will take this up with SOTI,
          makers of Pocket Controller.

        * ace/Configuration.cpp (ACE_Configuration_Win32Registry::remove_section):
          In the non-recursive case, try to delete the key; previously only
          tried to delete the key if recursive.

        * tests/Config_Test.cpp: When reporting failed file import, list why
          (%p), not the failed return status (-1). Also fixed many ACE_DEBUG
          and ACE_ERROR strings by enclosing in ACE_TEXT.

        * tests/Conn_Test.cpp: When displaying a hostname, properly adjust
          to the charset width in use.

        * tests/run_test.lst: Added !WinCE to Env_Value_Test. CE doesn't
          do environment variables.

Thu Mar 27 14:20:32 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * THANKS: Added Jia Wan to the hall of fame.

Wed Mar 26 16:45:29 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * THANKS: Added Sebastien Lalonde to the hall of fame.

Wed Mar 26 16:48:31 2003  Steve Huston  <shuston@riverace.com>

        * ace/config-WinCE.h: Let ACE_HAS_WINSOCK2 be conditional on the CE
          version; there was a #define ACE_HAS_WINSOCK2 at the end of the
          file that shouldn't have been there.

        * ace/config-win32-common.h: For WinCE and ACE_HAS_WINSOCK2, need
          to define the errno codes without WSA prefixes. Also, WinCE (at
          least at CE 4.0) doesn't have Winsock 2 extensions, so don't pull
          in mswsock.h, and set up to link ws2.lib, not ws2_32.lib.

        * ace/Reactor.cpp: Don't use ACE_HAS_WINCE to block out
          ACE_WFMO_Reactor; use the more direct tests (Winsock versions) if
          needed.

        * ace/SPIPE_Stream.i (send_handle): Don't attempt this on WinCE even
          though CE4 has ACE_HAS_WINSOCK2. It doesn't have WSADuplicateSocket.

Wed Mar 26 16:15:39 2003  Simon McQueen  <sm@prismtechnologies.com>

        * ace/Unbounded_Set.h:
        * ace/Unbounded_Set.cpp:
        * ace/Unbounded_Set.inl:
        * ace/Node.h:
        * ace/Node.cpp:
        * tests/Makefile:
        * tests/Makefile.am:
        * tests/Makefile.bor:

          Reverted changes to the above to position before changelog entry:
          Mon Mar 24 13:16:29 CET 2003  Oliver Kellog

Wed Mar 26 16:48:54 CET 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * tests/Unbounded_Set_Test.cpp:

          Corrected signature of main program and inserted an
          ACE_START_TEST/ACE_END_TEST.  Thanks to Johnny Willemsen for
          suggesting this.

Wed Mar 26 11:33:15 CET 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * ace/Unbounded_Set.cpp (ACE_Unbounded_Set<T>::delete_nodes):

          Temporarily commented out the ACE_ASSERT(number_of_iterators_ ==
          0) until the iterator usage problem is repaired in TAO.

Tue Mar 25 21:08:04 2003  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/CDR_Stream.cpp:
        * ace/CDR_Stream.h:
        * ace/CDR_Stream.i:

          Added the value wchar_maxbytes_ to the ACE_OutputCDR which is
          used to control the size of the wchar on the wire when no
          translator is being used. This is because it is valid to use a
          wchar codeset for which the maximum size is smaller than the
          size of a wchar_t.

        * ace/OS.h:

          When defining the ACE-specific type WChar, added the existance
          of the ACE_HAS_XPG4_MULTIBYTE_CHAR as a condition to allow WChar
          to be an alias of wchar_t, rather than of ACE_UINT16.

        * ace/OS.i:
        * ace/config-linux-common.h:

          As part of the wchar changes, it was discovered that older linux
          platforms lack fgetwc() and ungetwc(), although all other wide
          char related functions are supported. Added ACE_LACKS_FGETWC to
          guard against this condition.

        * ace/ace_wchar.h:

          Rework the ifdef sieve to ensure that platforms such as solaris
          that really do support wchar get initialized properly.

Tue Mar 25 09:01:00 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Default_Constants.h (ACE_CONNECTOR_HANDLER_MAP_SIZE):

          Changed type of this constant from "size_t" to "unsigned int".
          This header does not include system headers that define "size_t"
          type.  Fixes a syntax error on some platforms.

Tue Mar 25 17:09:22 CET 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        From Rudolf Weber <rfweber@tesionmail.de>
        * ace/Unbounded_Set.cpp:
          Correction to the handling of the deleted_ flag in the iterators.

        * tests/Unbounded_Set_Test.cpp:
          Extended towards making it a general test of the ACE_Unbounded_Set.
          Added test for the ACE_Unbounded_Set_Const_Iterator.

Tue Mar 25 10:44:23 CET 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * ace/Unbounded_Set.{h,cpp}: Removed the `const' at the
          ACE_Unbounded_Set::iterator_leave() method declaration.

Mon Mar 24 22:05:56 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * ace/Default_Constants.h: Added a const value for the connector's
          map size.
        * ace/Connector.cpp: Used the constant value to configure the
          internal map. Too large a map doesnt help with run-time
          footprint.

Mon Mar 24 18:06:49 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * bin/auto_run_tests.pl: Modified the script to do the following

          - Added an option to run only TAO tests in $TAO_ROOT/tests.
          - Instead of reading just one file for all the tests and
            examples in our daily builds, we will now use 3 files. One of
            the files is for ACE tests, one for tests in TAO and the last
            one is for all the other tests and examples in TAO.

          This provides various flexibilities for a poor developer like
          yours truly, to just build and run all the tests in TAO/tests
          after making changes to the ORB Core. It helps automating some
          development work. We could also take this to our daily
          builds. We will see more of this over a period of time.

          The changes should be backward compatible and shouldnt break any
          of the existing builds.

        * bin/ace_tests.lst:
        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst: New configuration files for ACE+TAO
          tests. We will use only this to add new tests to ACE+TAO.

        * bin/auto_run_tests.lst: Removed this file from the repo.

Mon Mar 24 10:23:08 2003  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_Context.h:

          No longer any need to include "ace/Singleton.h" due to the below
          change.

        From David Kinder <david.kinder@sophos.com>
        * ace/SSL/SSL_Context.inl (instance):
        * ace/SSL/SSL_Context.cpp (instance):

          Uninlined this method.  Fixes a problem found in Win32 "release"
          builds where an application could end up with multiple
          ACE_SSL_Context singleton instances.  [Bug 1475]

Mon Mar 24 18:03:34 CET 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * ace/Unbounded_Set.{h,cpp}:

          Added method const_iterator_leave() in class ACE_Unbounded_Set.
          The destructor of the ACE_Unbounded_Set_Const_Iterator calls
          it. Deleted elements are not cleaned up in that case, but they
          probably don't need to, given that we are dealing with a "const"
          set.

          Thanks to Jeff Parsons for noticing the problem.

Mon Mar 24 06:54:55 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * ace/config-linux-common.h: Change the ACE_DEFAULT_BASE_ADDR for
          the IA-64 from 0x8 to 0x0 so the Linux kernel can choose the
          right value.  Thanks to Sergei Pimenov
          <sergei.pimenov@intel.com> for reporting this.

Mon Mar 24 13:16:29 CET 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * ace/Node.{h,cpp}:
        * ace/Unbounded_Set.{h,inl,cpp}:

          Fix for Bugzilla bug 1460 supplied by Rudolf Weber
          <rfweber@tesionmail.de>, adds a `deleted' flag to ACE_Node, and
          adds corresponding management methods to ACE_Unbounded_Set.

        * tests/Unbounded_Set_Test.{cpp,icc}: New.

        * tests/Makefile, tests/Makefile.{am,bor}:
          Add Unbounded_Set_Test.cpp, a regression test for bug 1460.

Sat Mar 22 11:58:12 2003  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Configuration.cpp: When remove_section() was called the
          buckets created for the value and section hash map were not
          deleted.  Added two new lines after
          if (index_->unbind (SectionExtId, allocator_))
            return -1;

          as follows:

          value_hash_map->close();
          section_entry->int_id_.section_hash_map_->close(allocator_);

          Thanks to Sandip Patel <spatel@pwcwireless.com> for reporting
          this.

        * ace/Message_Queue_T.cpp: Moved the notify() hook calls within
          the protection of the guard lock critical section to prevent
          race conditions on cleanup.  Thanks to Ron Muck <rlm@sdiusa.com>
          for this suggestion.

Fri Mar 21 13:07:09 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/Options.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added a -base option to allow a user to specify multiple base
          projects to be applied toward all generated project files.

Fri Mar 21 10:42:41 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Parser.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Factored assignment processing from ProjectCreator into Creator.
          Factored convert_slashes() from ProjectCreator into Parser.

        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/Options.pm:

          Factored option processing from Driver into a new module, Options.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added support for workspace specific assignments.  Currently the
          only valid assignment is 'cmdline' which allows mwc to apply
          command line options to a specific set of mpc files.

Fri Mar 21 09:48:33 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/Driver.pm:

          Added the -static_only option back in to allow generation of
          static projects only.

Thu Mar 20 19:50:36 2003  Steve Huston  <shuston@riverace.com>

        * ace/OS.i (ACE_OS::recursive_mutex_cond_unlock): If on WinCE, don't
          do the check for RecursionCount; WinCE's structure doesn't have that
          member. Also see:
          Sat Mar 15 10:55:01 2003  Douglas C. Schmidt

Thu Mar 20 17:51:39 2003  Steve Huston  <shuston@riverace.com>

        * bin/MakeProjectCreator/templates/em3vcp.mpd: Only output a linker
          /entry option if building a DLL. Let binary programs pick up the
          correct entrypoint from the subsystem type. It defaults to windowsce,
          requiring WinMainCRTStartup.

Thu Mar 20 14:11:01 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Codecs.cpp (encode, decode):

          Fixed "comparison is always false due to limited range of data
          type" warning by removing those comparisons and accompanying
          code.

Thu Mar 20 14:00:53 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Memory_Pool.cpp (find_seg):

          Fixed overflow in pointer arithmetic on platforms where
          sizeof(void*) is greater than sizeof(off_t).  This also fixes a
          "cast from pointer to integer of different size" warning.

Thu Mar 20 12:56:26 2003  Ossama Othman  <ossama@uci.edu>

        * tests/Recursive_Condition_Bug_Test.cpp:

          Fixed unused variable warning in single-threaded builds.

Thu Mar 20 12:35:09 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/va4icc.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Added a new keyword lit_libs that is identical to libs except that
          with windows build tools, a library modified (s,d,sd) is not
          added to the library name.

Thu Mar 20 11:23:46 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Changed the default behavior for naming workspaces and projects.
          They now use the name of the mwc and mpc file respectively.

Thu Mar 20 07:23:48 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/Driver.pm:

          Removed -dynamic_only and -static_only options and made "dynamic
          only" the default.  I added a -static option that will allow the
          user to generate static projects in addition to dynamic projects.

Thu Mar 20 07:09:54 2003  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

        * ace/Process_Manager.cpp: The wrong remove_handler() method was
          being used in the ACE_Process_Manager::close() method.  Changed
          this to use the remove_handler() that removes the SIGCHLD
          handler.  Thanks to Carsten Prescher
          <carsten.prescher@sysde.eads.net> for this fix.

Wed Mar 19 18:27:08 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu:
        * Kokyu/Default_Dispatcher_Impl.cpp:
        * Kokyu/Default_Dispatcher_Impl.h:
        * Kokyu/Default_Dispatcher_Impl.i:
        * Kokyu/Dispatcher_Impl.cpp:
        * Kokyu/Dispatcher_Impl.h:
        * Kokyu/Dispatcher_Impl.i:
        * Kokyu/Dispatcher_Task.cpp:
        * Kokyu/Dispatcher_Task.h:
        * Kokyu/Dispatcher_Task.i:
        * Kokyu/Kokyu.cpp:
        * Kokyu/Kokyu.dsw:
        * Kokyu/Kokyu.h:
        * Kokyu/Kokyu.i:
        * Kokyu/Kokyu.cpp:
        * Kokyu/Kokyu.dsw:
        * Kokyu/Kokyu.mpc:
        * Kokyu/Kokyu_DLL.dsp:
        * Kokyu/Kokyu_Static.dsp:
        * Kokyu/Makefile:
        * Kokyu/kokyu_export.h:
        * Kokyu/tests:
        * Kokyu/tests/EDF:
        * Kokyu/tests/EDF/EDF.dsp:
        * Kokyu/tests/EDF/EDF.dsw:
        * Kokyu/tests/EDF/Makefile:
        * Kokyu/tests/EDF/test.cpp:
        * Kokyu/tests/FIFO:
        * Kokyu/tests/FIFO/FIFO.dsp:
        * Kokyu/tests/FIFO/FIFO.dsw:
        * Kokyu/tests/FIFO/Makefile:
        * Kokyu/tests/FIFO/test.cpp:

          First Kokyu release.

Wed Mar 19 12:08:31 2003  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/platform_irix6.x_sgic++.GNU:

          Suppress warning numbers 1253,3439,1234 and 3506.

Wed Mar 19 07:27:59 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/templates/nmake.mpd:

          Added depend, idl_stubs and realclean targets.

Tue Mar 18 07:24:26 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          If files are listed in "Template_Files" and "Source_Files" is
          omitted, then "Source_Files" could have duplicated values from
          "Template_Files".  A new method has been added to correct this
          situation.

Mon Mar 17 17:38:05 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * include/makeinclude/platform_linux_icc.GNU: The GNU file can now
          work with 64 bit intel compiler in Itanium. Thanks to Lubomir
          Bulej <lubomir.bulej@mff.cuni.cz> and Petr Tuma
          <petr.tuma@mff.cuni.cz> for providing the patches.

Mon Mar 17 19:20:54 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_cygwin32.GNU:
          Set threads to 0 when it is not defined yet. From the Cygwin daily
          build we found that threading is just partly enabled with Cygwin.
          First tries to enable it completely resulted in a lot of new errors,
          so for the time being disable threads by default and then start
          working on getting everything working with threading enabled.
          Also removed setting of optimized and the --enable-auto-import
          because they are not needed.

Mon Mar 17 09:58:48 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace.mpc:

          Updated the project to include the correct template, inline and
          header files.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Changed the defaults for precompiled headers.  If multiple pch
          headers are found, then take the one closest to the project name.

Sun Mar 16 10:12:12 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS.i (recursive_mutex_cond_unlock): Fixed typo

Sat Mar 15 13:50:18 2003  Steve Huston  <shuston@riverace.com>

        * tests/tests.mpc: Added Recursive_Condition_Bug_Test.

Sat Mar 15 12:20:45 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/tests.dsw:
        * tests/Recursive_Condition_Bug_Test.dsp: Added a new project file.

Sat Mar 15 10:55:01 2003  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

        * tests/Makefile:
        * tests/Makefile.bor:
        * tests/run_test.lst: Added Recursive_Condition_Bug_Test.cpp to
          these files.

        * tests: Added a new Recursive_Condition_Bug_Test.cpp to check
          that the fix from Leonid Kvetnyi is correct and doesn't cause
          other problems.

        * tests/Recursive_Condition_Test.cpp (ACE_TMAIN): Minor reformatting.

        * ace/OS.i (recursive_mutex_cond_unlock): Added another check for
          m->RecursionCount > 1 to fix problems where the test program hangs.
          Thanks to Leonid Kvetnyi <leonidk@nice.com> for this fix.

        * ace/Event_Handler_T.h: Changed

          typedef int (T::*SIG_HANDLER) (ACE_HANDLE, siginfo_t*, ucontext_t*);

          to this

          typedef int (T::*SIG_HANDLER) (int, siginfo_t*, ucontext_t*);

          so that we're consistent across platforms where ACE_HANDLE is a
          HANDLE, not an int!  Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for reporting this.

Fri Mar 14 22:26:56 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * bin/MakeProjectCreator/config/ciao_client.mpb:
        * bin/MakeProjectCreator/config/ciao_component.mpb:
        * bin/MakeProjectCreator/config/ciao_server.mpb:
        * bin/MakeProjectCreator/modules/Driver.pm: Merged in CIAO
          specific rules and default environment settings.  These changes
          help me take advantage of Chad's and other's work without
          complicating my workspace.  Most of other CIAO stuff are rather
          localized.

          These changes have no effect on others whatsoever.

Fri Mar 14 11:49:27 2003  Steve Huston  <shuston@riverace.com>

        * tests/Cached_Allocator_Test.cpp: Fix access out-of-bounds error.
          Thanks to Alexander Libman <alexl@aurema.com> for this fix.

Thu Mar 13 16:11:48 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Log_Msg.cpp (log_hexdump):
        * tests/Proactor_Test.cpp:

          Use the ACE_SIZE_T_FORMAT_SPECIFIER macro to specify the correct
          size_t format specifier.  Fixes a warning exhibited on 32-bit
          and 64-bit g++ builds.

Thu Mar 13 17:35:48 2003  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv1/Logging_Handler.cpp (recv_log_record):
        * examples/C++NPv2/Logging_Handler.cpp (recv_log_record): Use
          ACE_CDR::grow(), not ACE_Message_Block::size(), to resize the
          CDR-receiving block. This maintains alignment across the resize.
          Thanks to Don Hinton for this fix.

Thu Mar 13 07:40:05 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Committing Justin Michel's <michel_j@ociweb.com> modifications to
          the intermediate directory to allow multiple projects within a
          single directory that use the same source files.  This also has
          the side of organizing the generated object files into separate
          project directories underneath the main intermediate directory.

Wed Mar 12 13:31:08 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/em3vcpdll.mpt:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:
        * bin/MakeProjectCreator/templates/nmakedll.mpt:
        * bin/MakeProjectCreator/templates/nmakeexe.mpt:

          Fixed output directories for executables and pdb locations as
          below.

Wed Mar 12 12:19:23 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc6dspdll.mpt:
        * bin/MakeProjectCreator/templates/vc6dspdllexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplibexe.mpt:
        * bin/MakeProjectCreator/templates/vc7.mpd:
        * bin/MakeProjectCreator/templates/vc7dll.mpt:
        * bin/MakeProjectCreator/templates/vc7exe.mpt:

          Fixed output directories for executables.  Executables of
          different configurations now go into different directories.
          Also, we need to always generate pdb information for executables.

Wed Mar 12 08:59:18 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Log_Msg.cpp (log_hexdump):
        * tests/Proactor_Test.cpp:

          Another round of format specifier corrections.  "%lu" instead of
          "%u".  Addresses warnings in 64 bit platform builds.

Wed Mar 12 10:42:40 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:

          Fixed a problem with projects that had a slash or back slash in
          the name.

        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc6dspdllexe.mpt:
        * bin/MakeProjectCreator/templates/vc7.mpd:
        * bin/MakeProjectCreator/templates/vc7dll.mpt:
        * bin/MakeProjectCreator/templates/vc7exe.mpt:

          Make sure pdb files get generated for the right types and in the
          right locations.

Wed Mar 12 09:54:51 2003  Chad Elliott  <elliott_c@ociweb.com>

        Committing Paul Calabrese's <calabrese_p@ociweb.com> MPC related
        changes.

        * ACEXML/common/ACEXML_Export.h:
        * ACEXML/common/common.mpc:
        * ACEXML/parser/parser/parser.mpc:
        * bin/MakeProjectCreator/config/acexml.mpb:

          Fix problems with ACEXML mpc files on windows.

Wed Mar 12 08:36:12 2003  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/FILE.cpp: Make the ACE_FILE::close() method check for a
          valid handle.  Thanks to Paul Marquis <pmarquis@pobox.com> for
          reporting this.

Wed Mar 12 08:25:17 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/acedefaults.mpb:
        * bin/MakeProjectCreator/config/aceexe.mpb:
        * bin/MakeProjectCreator/config/acelib.mpb:
        * bin/MakeProjectCreator/config/global.mpb:

          Changed the global values to be generic and moved the defaults for
          ACE into the acedefaults base project.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug where header and inline files would be added to a
          project even if they were specified to be empty.

Wed Mar 12 07:03:54 2003  Chad Elliott  <elliott_c@ociweb.com>

        * netsvcs/servers/Makefile.bor:

          Applying Trevor Fields <fields_t@ociweb.com> modification.  Change
          $(OBJDIRS) to $(OBJDIR).

Tue Mar 11 14:12:46 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added a -recurse option and fixed a problem with changing
          to non-existent directories.

Mon Mar 10 18:10:31 2003  Steve Huston  <shuston@riverace.com>

        * ace/ARGV.h: Clarified the behavior of ACE_ARGV's behavior with
          respect to environment variable substitution; it only substitutes
          when the token is itself an environment variable reference and not
          if there's an environment variable reference contained within the
          token. e.g. $HOME will subtitute, $HOME/file will not.

Mon Mar 10 14:03:11 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Factor out code to detect duplicate project names to allow the
          WorkspaceCreator to use that same code to detect duplicate
          workspace names.

Mon Mar 10 13:30:30 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          If an mpc file contains projects with duplicate names, MPC will
          issue a warning to that effect.

Mon Mar 10 08:25:30 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Log_Msg.cpp (log_hexdump):
        * tests/Proactor_Test.cpp:

          Corrected format specifier for size_t (unsigned integer)
          variable, i.e. "%u" instead of "%d".  Fixes mismatched format
          specifier warnings.

Mon Mar 10 07:36:59 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Fixed a bug where multiple uses of a $() variable would not be
          handled correctly with the -relative option.  Thanks to Nanbor
          Wang for reporting this.

Mon Mar 10 13:47:08 CET 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * include/makeinclude/platform_g++_common.GNU:
          Cannot use CXX to determine compiler version because CXX might be
          set to "insure" and insure does not pass the -dumpversion option
          to the compiler.

Sun Mar  9 10:17:16 2003  Edan Ayal <edanayal@yahoo.com>

        * tests/Future_Set_Test.cpp:
        * tests/Future_Test.cpp:

          Printing order should be 'a,b,c,d,e' instead of 'a,b,c,e,d'.

          First sleep() replaced with
          ACE_Thread_Manager::instance()->wait().

          Final sleep() is redundant, as the spawned threads are already
          dead.

          Prime_Scheduler::close() is called twice - once by the user
          (asking to close the task) and once by the framework, when the
          thread exists.  This causes the task_count counter to be
          negative.

          Renamed the method to 'shutdown'.  Change method declaration and
          definition (remove 'virtual' and all the arguments).  Change the
          call in Method_Request_end::call to shutdown() instead of
          close()

          In the future set test, place different name commands in the
          name set, just to show that it can be done.

Sat Mar  8 12:54:18 2003  Steve Huston  <shuston@riverace.com>

        * ace/Get_Opt.h: Clarified the role of the long_only argument for
          the ACE_Get_Opt constructor.

Fri Mar  7 09:58:06 2003  Phil Mesnier  <mesnier_p@ociweb.com>

        * apps/mkcsregdb/Makefile: Fixed the install location so the
          make succeeds.

Fri Mar  7 08:51:56 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/Parser.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/StringProcessor.pm:

          Reverted my change from "Fri Mar  7 06:35:09 2003  Chad Elliott"
          to Parser.pm and factored out code from that module and Driver
          into a new module, StringProcessor.pm.  Driver and Parser now
          inherit from StringProcessor.

Fri Mar  7 07:19:46 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ACEXML/apps/svcconf/svcconf.mpc:
        * ACEXML/common/common.mpc:
        * ACEXML/examples/SAXPrint/SAXPrint.mpc:
        * ACEXML/parser/parser/parser.mpc:
        * ACEXML/tests/tests.mpc:

          Added mpc files for ACEXML related projects.

        * bin/MakeProjectCreator/config/acexml.mpb:

          Added an acexml base project to provide easy addition of ACEXML
          libraries to a project.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed the code to find the main() in a .cpp.

Fri Mar  7 06:35:09 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Parser.pm:

          Fixed a bug introduced with the
          "Thu Mar  6 08:06:35 2003  Chad Elliott" modification of
          Driver.pm.  I made $cwd part of the class instead of a static
          local.  The value wasn't being updated properly since Driver.pm
          now "uses" Parser.  Thanks to Steve Huston for bringing this to my
          attention.

Thu Mar  6 18:14:21 2003  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_hpux_aCC.GNU: Rather than do the
          template closure as part of the AR command, set up PRELIB to do
          template closure; this allows static libs to build clean with the
          xargs method introduced to rules.lib.GNU. A side-affect of this
          is that the separate template closure step is also used for
          shared libraries, and thus, +inst_none needed to be added to
          SOFLAGS.
          Also set AR to /usr/ccs/bin/ar to be sure to pick up the native
          HP-supplied ar command.

        * examples/C++NPv1/Process_Per_Connection_Logging_Server.cpp: Don't
          reinterpret_cast on non-Windows. Not needed and aC++ complains.
          Also see:
          Wed Feb 19 10:41:20 2003  Steve Huston  <shuston@riverace.com>

Thu Mar  6 14:49:37 2003  Steve Huston  <shuston@riverace.com>

        * apps/mkcsregdb/mkcsregdb.cpp: const_cast pointers that need to be
          delete[]-ed sp MSVC 6 doesn't complain. static_cast result of
          strtol() to ACE_CDR::UShort when needed.

Thu Mar  6 11:41:46 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added a -notoplevel option to allow processing to occur with no
          top level file created.

Thu Mar  6 10:56:09 2003  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Makefile.am: Adding codeset files to yet another makefile
          variant.

Thu Mar  6 09:58:41 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/nmakedll.mpt:
        * bin/MakeProjectCreator/templates/nmakeexe.mpt:

          Added support for nmake on Win64.  To generate nmake files use the
          following command line:

          mwc.pl -type nmake -value_template platforms=Win64

Thu Mar  6 08:06:35 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Driver.pm:

          Added an environment variable that allows users to set default
          command line parameters.  The MPC_COMMANDLINE environment variable
          is added to the command line parameters.  It will not override any
          arguments passed in.

Wed Mar  5 21:45:39 2003  Steve Huston  <shuston@riverace.com>

        * ace/INET_Addr.cpp (get_port_number_from_name): Correct arg name
          for ACE_UNUSED_ARG. Suspected cut/paste error.

        * tests/ACE_Test.cpp: const_cast the pointers returned from
          ACE::execname() so they can be deleted on MSVC6.

Wed Mar  5 07:05:11 2003  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/ace-dll.icc:
        * ace/ace-lib.icc:
        * ace/ace.icc:
        * ace/ace_dll64.mak:
        * ace/ace_lib64.mak:
          Added codeset registry files to more makefiles.

Wed Mar  5 06:32:40 2003  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Makefile.bor:
        * ace/ace_dll.dsp:
        * ace/ace_lib.dsp:

          Added codeset registry files and fixed spelling error in
          Makefile.bor.

Wed Mar  5 06:10:48 2003  Phil Mesnier  <mesnier_p@ociweb.com>

       * ace/Makefile.bor:

         Added codeset registry files to makefile.

Tue Mar 04 19:58:29 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * ACEXML/common/FileCharStream.cpp (determine_encoding): Commented
          out the annoying debug information.  Users should get the
          encoding information from this->getEncoding(), instead of
          relying on the debug info.

        * ACEXML/common/LocatorImpl.cpp (reset): Remember to reset string
          pointers to 0 after deleteing them.  Otherwise, a parser may
          crash if it is used to parse a second file.

Tue Mar  4 17:39:31 2003  Steve Huston  <shuston@riverace.com>

        * docs/CE-status.txt: Updated to reflect the ACE 5.3 status of CE.

        * ace/ACE.cpp (execname): Try to locate ".exe" suffix without
          case sensitivity. Thanks to Kelly F. Hickel <kfh@mqsoftware.com>
          for reporting this. Also, when appending a suffix, append it to
          the name, not after the name's nul terminator.

        * ace/ACE.h: Clarified that the pointer returned, if allocated, is
          allocated using new[] and should be freed with delete[].

        * tests/ACE_Test.cpp:
        * tests/ACE_Test.dsp: New test for ACE methods. At this time, it tests
          the ACE::execname() method fixed above.

        * tests/Makefile:
        * tests/Makefile.bor:
        * tests/tests.dsw:
        * tests/tests.mpc:
        * tests/run_test.lst: Added ACE_Test.

Tue Mar  4 13:54:52 2003  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Codeset_Registry.cpp:
        * ace/Codeset_Registry.h:
        * ace/Codeset_Registry.inl:

          New files added to support the codeset framework. The Codeset
          Registry is either a wrapper for dce code and character set
          registry functions, if the system supports them, or these
          fucntions are emulated. Only the functions necessary to support
          TAO's Codeset translation framework are emulated.

        * ace/Codeset_Registry_db.cpp:

        The codeset "database." A minimal list (2 entries) is shipped, see
        apps/mkcsregdb to build a new list of supported codesets as needed.

        * ace/CDR_Stream.h:

        Changed the interface on the ACE_[W]Char_Codeset_Translator class for
        the read_[w]char_array to take a non-const array as the out parameter.

        * ace/Makefile.ace:
        * ace/ace.mpc:

        Added the new codeset files to the makefile.

        * apps/mkcsregdb:

        A new application used to generate custom list of codeset identites.
        The description of how to run is in a comment at the top of
        ace/Codeset_Registry_db.cpp.

Tue Jan 24 17:50:32 2003  Gonzalo Diethelm  <gonzalo.diethelm@aditiva.com>

        * ace/INET_Addr.cpp:
          Method string_to_addr() now uses ACE_OS_String::strtol() instead
          of the ugly hack using ACE_OS::strspn() and ACE_OS::atoi().  The
          two set() methods that receive a const char port_name[] now try
          first to parse that port_name as a simple number (like "901"),
          and if that fails they try to resolve the port name as a
          service.  In order to implement this, I added a static helper
          function called get_port_number_from_name() (sorry for the awful
          name).

Tue Mar  4 12:53:06 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          If no exe target or lib target is supplied, then search the source
          files for a main() and set the exename.

Tue Mar  4 09:31:01 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/Configuration.cpp:

          For temporary ACE_TStrings used internally, switched to the
          non-allocating constructor. Also made cosmetic changes and
          changed some ACE_TString assignments to use the nocopy
          assignment method added below.

        * ace/String_Base.h:
        * ace/String_Base.i:

          Added a nocopy assignment method.

        * ace/ace_dll.dsp:

          Added Unbounded_Queue.h to the project.

Mon Mar  3 11:39:20 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Strategies_T.h:

          Forward declare ACE_Service_Repository.  Fixes a problem exposed
          by IBM Visual Age C++ 5 builds about unexpected text.

Fri Feb 28 17:43:02 2003  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Service_Manager.h (ACE_Service_Manager): Changed private to
          protected.  Thanks to Terry Mihm <terrym@firstlogic.com> for
          suggesting this.

Fri Feb 28 13:04:56 2003  Ossama Othman  <ossama@uci.edu>

        Changes necessitated by inter-header dependency reductions.

        * examples/Connection/non_blocking/CPP-acceptor.h:

          Include "ace/Svc_Handler.h" to pull in ACE_Svc_Handler template
          declaration.

        * examples/Connection/non_blocking/test_lsock_acceptor.cpp:
        * examples/Connection/non_blocking/test_tli_acceptor.cpp:

          Include "ace/Service_Config.h" to pull in ACE_Service_Config
          class declaration.

Fri Feb 28 14:12:03 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/ChangeLogEditor/ChangeLogEdit.pm:
        * bin/ChangeLogEditor/ChangeLogEntry.pm:
        * bin/ChangeLogEditor/EmailTranslator.pm:
        * bin/ChangeLogEditor/FileLocator.pm:
        * bin/cle.pl:

          Added a ChangeLog editor script.  It uses CVS to determine which
          files have been modified, added or removed and generates a blank
          ChangeLog entry in the existing ChangeLog.

Fri Feb 28 13:18:17 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/VC7WorkspaceCreator.pm:

          Fixed a problem with project dependencies.  If the project
          dependency is not a project within the generated solution, then
          omit it.

Fri Feb 28 07:49:00 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Parser.pm:

          Pulled the common code out of Creator and replaced it with a
          template method to collect the lines with possible line
          continuation.

Fri Feb 28 12:33:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SString.cpp:
          Also do the explicit template instantiations
          ACE_String_Base<char>::NULL_String_ and
          ACE_String_Base<ACE_WSTRING_TYPE>::NULL_String_ when using VxWorks.

Thu Feb 27 10:56:01 2003  Ossama Othman  <ossama@uci.edu>

        * tests/Proactor_Scatter_Gather_Test.cpp (initiate_read_file):

          Explicitly cast return value of ceil() to "size_t".  Fixes a
          "loss of data" warning.  Loss of data isn't an issue in this
          case.

Thu Feb 27 10:53:38 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Atomic_Op.cpp (single_cpu_exchange, multi_cpu_exchange):

          Fixed unused argument warnings.

Thu Feb 27 10:46:01 2003  Ossama Othman  <ossama@uci.edu>

        Changes necessitated by inter-header dependency reductions.

        * apps/Gateway/Peer/Peer.h:
        * examples/ASX/Event_Server/Event_Server/Peer_Router.h:
        * examples/Connection/non_blocking/CPP-connector.h:
        * netsvcs/lib/Name_Handler.h:
        * netsvcs/lib/Server_Logging_Handler_T.h:
        * netsvcs/lib/TS_Clerk_Handler.h:
        * netsvcs/lib/TS_Server_Handler.h:

          Include "ace/Svc_Handler.h" to pull in ACE_Svc_Handler template
          declaration.

        * examples/Connection/non_blocking/test_sock_acceptor.cpp:
        * examples/Connection/non_blocking/test_spipe_acceptor.cpp:

          Include "ace/Service_Config.h" to pull in ACE_Service_Config
          class declaration.

Thu Feb 27 11:24:14 2003  Chad Elliott  <elliott_c@ociweb.com>

        * apps/gperf/src/gperf.mpc:

          Change the gperf project name to contain exe to allow the
          VC6ProjectCreator to create the correct dependencies.

Thu Feb 27 10:41:33 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/VC6WorkspaceCreator.pm:

          Add a warning if duplicate projects are detected in a generated
          workspace.

Thu Feb 27 10:31:44 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * include/makeinclude/platform_linux_icc.GNU: The GNU file can now
          work with 64 bit intel compiler in Itanium. Thanks to Lubomir
          Bulej <lubomir.bulej@mff.cuni.cz> and Petr Tuma
          <petr.tuma@mff.cuni.cz> for providing the patches.

        * THANKS: Added Lubomir Bulej to the hall of fame.

Thu Feb 27 10:22:05 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * ace/Synch.h:
        * ace/Synch.i: Added ACE_Null_Condition::wait (ACE_Null_Mutex &m,
          const ACE_Time_Value * = 0) which seems to be missing.

Wed Feb 26 18:42:33 2003  Christopher Kohlhoff  <chris@kohlhoff.com>

        * ace/Makefile.bor:

          Removed ACE_LD_DECORATOR_STR definition from CFLAGS, as this
          macro is now defined by the common included makefiles.

        * ace/Synch.h:

          Added missing constructor overload and disown member function
          to the ACE_Guard<ACE_Null_Mutex> template specialization.

        * ace/Atomic_Op.cpp:
        * ace/Atomic_Op.h:
        * ace/Atomic_Op.i:
        * tests/Atomic_Op_Test.cpp:

          Use InterlockedExchange (or the XCHG instruction) to provide
          strong memory-ordering when assigning to an atomic integer.

        * bin/MakeProjectCreator/Creator.pm:

          Added support for line continuation using backslash in .mpc files.

Wed Feb 26 11:55:20 2003  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace.mpc:

          Added POSIX_CB_Proactor.cpp to the Demux files.

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Modification to allow users to name the foreach variable.

Wed Feb 26 07:39:58 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Changed the defaulting behavior if neither exename, sharedname or
          staticname are defined in an mpc file.

Tue Feb 25 22:26:30 2003  Krishnakumar B  <kitty@cs.wustl.edu>

        * ace/Malloc.h:
        * ace/Malloc.cpp:
        * ace/Malloc.h:
        * ace/Malloc_T.cpp:
        * ace/PI_Malloc.cpp:
        * ace/PI_Malloc.h:

          Teach ACE_Control_Block and friends to do alignment on 64-bit
          platforms. The previous code was buggy and caused a lot of bus
          errors on platforms with greater than 4-byte alignment. We no
          longer multiply and divide by sizeof (long) and do the alignment
          based on sizeof (union ACE_max_align_info). This change also
          makes the default alignment to be at 8-byte boundary (which is
          ofcourse overridable) and errs in favour of safe code by default
          vs optimization for code size. This should get rid of bug
          reports on SGI IRIX, Solaris 64-bit etc related to
          ACE_*_Allocator and friends.

          Also fixed a couple of rounding errors which result in core
          dumps, in ACE_Cached_Allocator and ACE_Dynamic_Cached_Allocator
          where we happily traverse memory irrespective of alignment of
          the chunk_size.

          Thanks to Dave Mercer <mercer@itgssi.com> for reporting the
          problem.

          One of the items from the long list of pending items post-5.3.1.

        * ace/OS_Memory.h:

          Removed the definition of ACE_MALLOC_ALIGN from this file.
          ACE_MALLOC_ALIGN is an internal definition of Malloc.h and
          should have no business in OS_Memory.h.

        * include/makeinclude/rules.lib.GNU:

          Use echo on VLOBJS instead of find with *.o. This fixes build
          problems on lame platforms like MacOS X  where ar doesn't
          generate an index and need to use ranlib. Probably the right
          thing to do even otherwise since there might be more objects in
          .{sh,}obj than needed for a library.

Tue Feb 25 10:00:54 2003  Ossama Othman  <ossama@uci.edu>

        * ace/CDR_Base.h (LongLong):
        * ace/CDR_Base.inl:
        * ace/CDR_Base.cpp:

          Removed newly added 32-bit assignment and comparison operators.
          Comparison is non-trivial in this signed case, and assignment
          operators are a potential source of confusion when implicit
          conversions are performed.  This change basically reverts
          ACE_CDR::LongLong to its previous implementation, and also
          addresses some build problems on platforms with non-native 64
          bit signed integers (e.g. VxWorks).

Tue Feb 25 08:09:13 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Atomic_Op_T.h (mutex_):

          Removed "mutable" keyword from this reference member.  IBM's
          Visual Age C++ considers mutable reference members invalid.

        * ace/Atomic_Op_T.i:

          Go back to casting away the const-ness of the above mutex
          reference member in const methods.

Tue Feb 25 09:57:07 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Clean up the generated targets with the GNU Makefiles.

Tue Feb 25 09:24:06 2003  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

        * ace/OS.cpp: Added an emulation for localtime_r() for WinCE.  Thanks to
          Martin Brown <mpatalberta@yahoo.com> for reporting this.

Tue Feb 25 08:40:12 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Always generate a realclean target, but only add idl generated
          files if we had idl_files to work with.

Tue Feb 25 07:56:59 2003  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:

          Updated the documentation to reflect the removal of the 3
          character restriction on type names.

        * bin/MakeProjectCreator/config/avstreamsexe.mpb:

          Inherit from namingexe instead of reproducing the same
          information.

        * bin/MakeProjectCreator/config/rteventexe.mpb:

          Inherit from server instead of reproducing the same information.

        * bin/MakeProjectCreator/modules/Driver.pm:

          Removed the restriction of a 3 character type.

        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm:
        * bin/MakeProjectCreator/modules/GHSProjectCreator.pm:
        * bin/MakeProjectCreator/modules/GNUProjectCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC7ProjectCreator.pm:

          Refactor code into the base class.

        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/GHSWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/GNUWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Made modifications to these modules to allow an mwc file to have
          multiple workspaces defined within it.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Cosmetic change.

        * bin/MakeProjectCreator/modules/MakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/MakeProjectCreator.pm:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/mpc.pl:
        * bin/mwc.pl:

          Added a new project type for generic Makefiles.  These are not
          suitable for use within ACE or TAO, but may be useful to someone.

Mon Feb 24 15:37:06 2003  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

        * ace/TTY_IO.h (ACE_TTY_IO): Added the dtrdisable member to
          Serial_Params.  This finishes a fix suggested by Ray Limpus
          <ray.limpus@boeing.com>.  Thanks to Jeff Parsons for noticing
          this.

Mon Feb 24 08:53:52 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Basic_Types.i (operator++, operator--):

          Fixed incorrect dereferencing of non-pointer return variable.

Sun Feb 23 12:16:34 2003  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/WIN32_Asynch_IO.cpp (cancel): Added support for cancel() on
          MinGW.  Thanks to Vince for this fix.

        * examples/Mem_Map/Makefile: Moved the definition of DIRS to
          later in the Makefile so we can exclude it from the MinGW
          build.  Thanks to Vince for reporting this, as well.

        * ace/WIN32_Proactor.cpp (close): Make sure to check whether
          GetQueuedQueuedCompletion() returns false.  Thanks to Vince
          Mounts <vince@mounts.cc> for reporting this.

Sat Feb 22 08:16:36 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Basic_Types.h (operator++, operator--):

          Fixed return type mismatch between declaration and definition in
          Basic_Types.i.

Fri Feb 21 22:21:49 2003  Steve Huston  <shuston@riverace.com>

        * ace/OS.i: Removed the #if !defined (ACE_HAS_WINCE) around the
          ACE_OS::vsprintf() method. It's available on CE. Thanks to
          Emmanuel Thevenot Beaufort <emmanuel.thevenot-beaufort@jci.com>
          for this fix.

          Also enabled ACE_OS::fgets(), fflush(), thr_getspecific() similarly.

Fri Feb 21 12:52:00 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Global_Macros.h:
        * ace/OS.h:

          Moved ACE_CORBA_{1,2,3} and ACE_NESTED_CLASS macro out of OS.h
          and into Global_Macros.h.  Helps avoid inclusion of OS.h in some
          cases.

Fri Feb 21 10:05:23 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Local_Name_Space_T.cpp:

          Include "ace/Auto_Ptr.h" once again to pull in the
          ACE_Auto_Basic_Array_Ptr class declaration.  Fixes compile-time
          problems on AIX about unknown template types.

Fri Feb 21 13:32:43 2003  Edward Scott  <eas@prismtechnologies.com>

        * docs/bugzilla-build-setup.html:

          Removed obsolete documentation file. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for reporting the problem.

Fri Feb 21 06:18:19 2003  Ossama Othman  <ossama@uci.edu>

        * tests/Framework_Component_DLL.cpp:

          Include "ace/Service_Object.h" to pull in ACE_Service_Object
          class declaration.  Necessitated by inter-header dependency
          reductions.

Thu Feb 20 18:54:03 2003  Ossama Othman  <ossama@uci.edu>

        * apps/Gateway/Gateway/gatewayd.cpp:

          Include "ace/Service_Object.h" to pull in ACE_Service_Object_Ptr
          class declaration.  Necessitated by inter-header dependency
          reductions.

Thu Feb 20 18:49:37 2003  Ossama Othman  <ossama@uci.edu>

        * examples/Service_Configurator/Misc/Timer_Service.h:

          Include "ace/Service_Object.h" to pull in ACE_Service_Object
          class declaration.  Necessitated by inter-header dependency
          reductions.

Thu Feb 20 18:45:29 2003  Ossama Othman  <ossama@uci.edu>

        * examples/C++NPv2/Service_Reporter.cpp:

          Include "ace/Service_Types.h" to pull in ACE_Service_Type_Impl
          class declaration.  Necessitated by inter-header dependency
          reductions.

Thu Feb 20 18:31:10 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Strategies_T.cpp:

          Fixed "lose of const in cast" errors.

Thu Feb 20 18:20:19 2003  Ossama Othman  <ossama@uci.edu>

        * ace/SSL/SSL_SOCK_Acceptor.h (ACE_SSL_SOCK_Acceptor):

          Reverted the change that made this class inherit privately from
          ACE_SSL_SOCK instead of publically.  While this isn't strictly
          the correct thing to do, IMO, it does correct some compile-time
          problems.

        * ace/SSL/SSL_SOCK_Connector.cpp (ssl_connect):

          Fixed compile-time error related to violation of a const
          qualifier on a pointer to the timeout value.

Thu Feb 20 19:18:17 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * ChangeLogs/ChangeLog-02b:
        * ChangeLogs/ChangeLog-03a: New files having all the old ChangeLog
          entries till 5.3.1.
        * ChangeLog: Shortened the changelog for ease of use.

Thu Feb 20 10:35:15 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Strategies_T.h:
        * ace/Strategies_T.cpp:

          Reverted part of changes that introduced extensive use of
          traits since they were forcing the introduction of the
          ACE_TYPENAME macro in more places than is desirable at this
          point in time.  They may be reintroduced in the future.

Thu Feb 20 09:24:00 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Service_Config.h:

          Forward declare ACE_Service_Object.  Necessitated by inter-header
          dependency reductions.

Thu Feb 20 09:23:51 2003  Ossama Othman  <ossama@uci.edu>

        * ace/Acceptor.h:
        * ace/Connector.h:

          No need to include "ace/Service_Config.h" and
          "ace/Svc_Handler.h".

          Include "ace/Synch_Options.h".  Necessitated by inter-header
          dependency reductions.

        * ace/Acceptor.cpp:
        * ace/Connector.cpp:

          Include "ace/Svc_Handler.h".  Necessitated by inter-header
          dependency reductions.

        * ace/Atomic_Op.h:

          Fixed doxygen documentation.

        * ace/Atomic_Op.i (operator++, operator--):

          Implement these post{in,de}crement operators in terms of their
          corresponding pre{in,de}crement operators to ensure consistent
          semantics.

        * ace/Atomic_Op_T.h (mutex_, own_mutex_):

          Improved const-correctness by making these mutex members
          mutable.  This allows us to avoid casting away the constness.

        * ace/Atomic_Op_T.i (operator==, operator>=, operator>):
          (operator<=, operator<, value, operator=):

          Do not cast away the constness of the mutex.  That hack is no
          longer necessary since the mutex is now mutable.

        * ace/Basic_Types.h:

          Improved doxygen documentation.

          Moved endianness determination macros prior to ACE_U_LongLong
          class.

          (operator=):

          Added ACE_ULongLong assignment operator declarations that accept
          32 bit signed and unsigned integers.

          (operator++, operator--):

          Added missing ACE_ULongLong post{in,de}crement operator
          declarations.

          (data_):

          Make declaration order of lower and upper 32 bit members (lo_
          and hi_) of this structure dependant on the endianness of the
          platform.  This mimics what is done for the ACE_LongLong type
          in the ACE_CDR classes.

        * ace/Basic_Types.i (operator=):

          Added ACE_ULongLong assignment operator implementation that
          accept 32 bit signed and unsigned integers.

          (operator++, operator--):

          Added missing ACE_ULongLong post{in,de}crement operator
          implementations.

        * ace/CDR_Base.cpp (mb_align):

          Uninlined this method in order to reduce inter-header
          dependencies.

          (operator<, operator<=, operator>, operator>=, operator==):
          (operator!=):

          Added these missing operator for the ACE_LongLong type.

          (Float, operator=, operator!=):

          Fixed potential unused argument warnings for the Cray/UNICOS
          case.

        * ace/CDR_Base.h:

          Include "ace/OS.h" instead of "ace/Message_Block.h", and forward
          declare ACE_Message_Block in order to reduce inter-header
          dependencies.

          Changed all uses of typedefs like "u_char" and "u_long" to their
          non-typedef counterparts, e.g. "unsigned char" and "unsigned
          long".  Makes it possible to avoid including headers that
          contain those typedefs.

          (operator=):

          Added ACE_LongLong constructors assignment operators that accept
          32-bit integers.

          (operator==, operator!=, operator<=, operator<, operator>=):
          (operator>):

          Added these missing ACE_LongLong relation operators.

        * ace/CDR_Base.inl (operator=):

          Added ACE_LongLong constructors assignment operators that accept
          32-bit integers.

          (operator==, operator!=, operator<=, operator<, operator>=):
          (operator>):

          Added these missing ACE_LongLong relation operators.

        * ace/CDR_Stream.h:

          Moved definition of the ACE_CDR_BYTE_ORDER macros from OS.h to
          this header.  Helps with header dependency reduction.

        * ace/Capabilities.h:

          Use ACE_Hash_Map_Manager_Ex instead of ACE_Hash_Map_Manager.
          Doing so saves us three template instantiations.

        * ace/Capabilities.i:

          Cosmetic changes.

        * ace/Capabilities.cpp:

          No need to include "ace/Map_Manager.h".

          Added missing ACE_RCSID macro.

          Improved conformance to ACE coding conventions.

          Removed explicit template instantiations for the
          ACE_Hash_Map_Manager template.  That template is no longer
          used.

          (reset_caps):

          Use ACE_Hash_Map_Manager_Ex template traits instead of the
          actual template type.  Makes for cleaner code.

        * ace/Configuration.cpp:
        * ace/Configuration.h:
        * ace/Strategies_T.cpp:
        * ace/Token_Collection.cpp:
        * ace/Token_Collection.h:
        * ace/Token_Invariants.cpp:
        * ace/Token_Invariants.h:
        * ace/Token_Manager.cpp:
        * ace/Token_Manager.h:
        * ace/WIN32_Asynch_IO.cpp:
        * ace/WIN32_Asynch_IO.h:

          Take advantage of template traits to improve clarity of code.

        * ace/Copy_Disabled.h:

          Corrected comment.

        * ace/Default_Constants.h:

          Moved ACE_DEFAULT_CDR_BUFSIZE, ACE_DEFAULT_CDR_EXP_GROWTH_MAX,
          ACE_DEFAULT_CDR_LINEAR_GROWTH_CHUNK,
          ACE_DEFAULT_CDR_MEMCPY_TRADEOFF macros from OS.h to this
          header.  Helps with inter-header dependency reduction.

        * ace/Dynamic_Service_Base.cpp:
        * ace/Parse_Node.cpp:
        * ace/Service_Manager.cpp:
        * ace/Service_Repository.cpp:
        * ace/Svc_Conf.y:
        * ace/Svc_Conf_y.cpp:

          Include "ace/Service_Types.h".  Necessitated by inter-header
          dependency reduction.

        * ace/Filecache.h:
        * ace/Filecache.cpp:
        * ace/Hash_Map_With_Allocator_T.h:
        * ace/Hash_Map_With_Allocator_T.cpp:
        * ace/Local_Name_Space_T.h:
        * ace/Local_Name_Space.cpp:

          Use ACE_Hash_Map_Manager_Ex instead of ACE_Hash_Map_Manager.
          Doing so saves us three template instantiations.

        * ace/Future_Set.h:
        * ace/Map_T.h:

          Include "ace/Hash_Map_Manager_T.h" instead of
          "ace/Hash_Map_Manager.h".  The former is all that is needed, and
          the latter already includes the former.

        * ace/Hash_Map_Manager_T.i (operator++, operator--):
        * ace/Map_Manager.i:
        * ace/RB_Tree.i:

          Implement the post-{in,de}crement operators in terms of their
          pre-{in,de}crement operator counterparts to ensure consistency.

        * ace/Local_Name_Space_T.cpp:

          No need to include "ace/Auto_Ptr.h"

          Use template traits to improve code clarity.

        * ace/OS.h:

          Moved ACE_CDR_BYTE_ORDER macro definition to CDR_Stream.h.
          Helps with inter-header dependencies.

          Moved ACE_DEFAULT_CDR_BUFSIZE, ACE_DEFAULT_CDR_EXP_GROWTH_MAX,
          ACE_DEFAULT_CDR_LINEAR_GROWTH_CHUNK,
          ACE_DEFAULT_CDR_MEMCPY_TRADEOFF to Default_Constants.h.  Helps
          with inter-header dependency reduction.

        * ace/POSIX_Asynch_IO.cpp:

          Added missing ACE_RCSID macro.

          (bytes_transferred):
          Use map template traits to improve code clarity.

        * ace/POSIX_Asynch_IO.h:

          Redefined old map typedefs in terms of the map traits.

        * ace/Parse_Node.h:
        * ace/Service_Repository.h:

          No need to include "ace/Service_Types.h".  A forward declaration
          for ACE_Service_Types is enough.

        * ace/Service_Config.h:

          No need to include "ace/Service_Types.h" and "ace/Signal.h".
          Forward declaring ACE_Service_Types and ACE_Sig_Adapter is
          enough.

        * ace/Strategies_T.h:

          No need to include "ace/Service_Config.h" and
          "ace/Synch_Options.h".

        * ace/Synch_Options.h:

          Changed all uses of typedefs like "u_char" and "u_long" to their
          non-typedef counterparts, e.g. "unsigned char" and "unsigned
          long".  Makes it possible to avoid including OS.h.  A big win in
          compile time reduction.

          Include "ace/Time_Value.h".  Necessitated by inter-header
          dependency reduction.

        * ace/Synch_Options.cpp:

          Changed all uses of typedefs like "u_char" and "u_long" to their
          non-typedef counterparts, e.g. "unsigned char" and "unsigned
          long".  Makes it possible to avoid including OS.h.  A big win in
          compile time reduction.

          Include "ace/Trace.h".  Necessitated by inter-header
          dependency reduction.

        * ace/Template_Instantiations.cpp:

          Removed all ACE_Hash_Map_Manager related template
          instantiations.  The ones for ACE_Hash_Map_Manager_Ex are all
          that are needed.

        * ace/SSL/SSL_SOCK_Acceptor.h (ACE_SSL_SOCK_Acceptor):

          Inherit privately from ACE_SSL_SOCK, instead of publically.
          ACE_SSL_SOCK_Acceptor is IMPLEMENTED-IN-TERMS-OF ACE_SSL_SOCK.
          It does not satisfy the IS-A relationship.

        * ace/SSL/SSL_SOCK_Connector.cpp (ssl_connect):

          Use ACE_Countdown_Time to take into account the time between
          each call to select() instead of using the same timeout value in
          each loop iteration.  [Bug 1110]

        * ace/SSL/SSL_SOCK_Stream.cpp (get_remote_addr):

          Retrieve the remote addr from the parent ACE_SSL_SOCK class, not
          ACE_SOCK.  Addresses potential inconsistencies in the future.

        * ace/SSL/SSL_SOCK_Stream.h (ACE_SSL_SOCK_Stream):

          Removed friend declarations for the
          ACE_SSL_SOCK_{Acceptor,Connector} classes.  They are
          unnecessary.

Wed Feb 19 10:41:20 2003  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv1/Process_Per_Connection_Logging_Server.cpp:
          In run_worker(), use ACE_reinterpret_cast, not ACE_static_cast,
          to convert an int to an ACE_HANDLE. Thanks to Vince Mounts
          <vince@mounts.cc> for reporting this.

Tue Feb 11 17:14:56 2003  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

        * ace/TTY_IO.cpp: Fixed several problems with DTR enabling.  Thanks to
          Ray Limpus <ray.limpus@boeing.com> for reporting this.

Thu Feb  6 16:36:18 2003  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

        * ace/Bound_Ptr.{h,i}: Made the get() method const.  Thanks to
          Chris Kohlhoff for reporting this.
